package com.xxh.cloud.config.datalabel.client.bean.bos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DataLabelRuleConfigBO {

    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类")
    private String type;


    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "新增标签列表")
    private String labelIds;

    @ApiModelProperty(value = "新增标签有效期")
    private Integer labelValidityNum;


    @ApiModelProperty(value = "初始数据时间分类")
    private String initDateType;

    @ApiModelProperty(value = "初始数据时间值")
    private Integer initDateValue;

    @ApiModelProperty(value = "初始数据执行状态")
    private String initExeStatus;

    @ApiModelProperty(value = "初始数据执行时间")
    private Date initExeTime;

    @ApiModelProperty(value = "上架时间")
    private Date upTime;

    @ApiModelProperty(value = "实时数据执行时间")
    private Date realRunTime;



}
