package com.xxh.cloud.datalabel.config.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据标签规则配置备份表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_data_label_rule_back_up_info")
public class DataLabelRuleBackUpInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.AUTO)
      private Integer id;

    /**
     * 配置id
     */
     @ApiModelProperty(value = "配置id")
      private String configId;

    /**
     * 项目编号
     */
     @ApiModelProperty(value = "项目编号")
      private String projectCode;

    /**
     * 版本号
     */
     @ApiModelProperty(value = "版本号")
      private Integer versionNo;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 分类
     */
     @ApiModelProperty(value = "分类")
      private String type;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 配置
     */
     @ApiModelProperty(value = "配置")
      private String config;

    /**
     * 新增标签列表
     */
    @ApiModelProperty(value = "新增标签列表")
    private String labelIds;

    /**
     * 初始数据时间分类
     */
    @ApiModelProperty(value = "初始数据时间分类")
    private String initDateType;

    /**
     * 初始数据时间值
     */
    @ApiModelProperty(value = "初始数据时间值")
    private Integer initDateValue;


    /**
     * 顺序
     */
     @ApiModelProperty(value = "顺序")
      private Integer orders;

    /**
     * 备份备注
     */
     @ApiModelProperty(value = "备份备注")
      private String backUpRemark;


}
