package com.xxh.cloud.datalabel.config.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据标签规则分类信息表
 * </p>
 *
 * @author anros
 * @since 2023-09-18
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_data_label_rule_category_info")
public class DataLabelRuleCategoryInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 项目编号
     */
     @ApiModelProperty(value = "项目编号")
      private String projectCode;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 顺序
     */
     @ApiModelProperty(value = "顺序")
      private Integer orders;

    /**
     * 上级ID
     */
     @ApiModelProperty(value = "上级ID")
      private String pid;

}
