package com.xxh.cloud.datalabel.config.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class DataLabelRuleConfigQueryDTO extends BasePageDTO {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "id")
    private List<String> ids;

    @ApiModelProperty(value = "分类ID")
    private String categoryId;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类")
    private String type;

    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "新增标签列表")
    private String labelId;

    @ApiModelProperty(value = "疾病")
    private String diseaseId;

    @ApiModelProperty(value = "扩展字段1")
    private String extendOne;

    @ApiModelProperty(value = "扩展字段2")
    private String extendTwo;

    @ApiModelProperty(value = "扩展字段3")
    private String extendThree;


}
