package com.xxh.cloud.datalabel.config.framework.modules.biz.bean.dto;

import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;


@Getter
@Setter
public class DataLabelRuleConfigUpdateConfigDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "配置",required = true)
    @NotNull(message = "配置不能为空")
    private NodeCondition config;




}
