package com.xxh.cloud.datalabel.config.framework.modules.biz.service;

import com.xxh.cloud.config.datalabel.client.bean.dto.LabelRuleStatusUpdateDTO;
import com.xxh.cloud.datalabel.config.framework.modules.base.entity.DataLabelRuleConfig;
import com.xxh.cloud.datalabel.config.framework.modules.biz.bean.dto.*;
import com.xxh.cloud.datalabel.config.framework.modules.biz.bean.vos.DataLabelRuleConfigVO;
import com.xxh.cloud.framework.common.page.PageData;

public interface DataLabelRuleConfigBizService {

    public PageData<DataLabelRuleConfigVO> query(DataLabelRuleConfigQueryDTO params);

    public DataLabelRuleConfigVO save(DataLabelRuleConfigSaveDTO params);

    public DataLabelRuleConfigVO update(DataLabelRuleConfigUpdateDTO params);

    public DataLabelRuleConfigVO updateConfig(DataLabelRuleConfigUpdateConfigDTO params);

    public DataLabelRuleConfigVO updateStatus(DataLabelRuleConfigUpdateStatusDTO params);

    public void updateExeStatus(LabelRuleStatusUpdateDTO params);

    public void delById(String id);

    public DataLabelRuleConfigVO getById(String id);

    public DataLabelRuleConfig getBeanById(String id);

    public DataLabelRuleConfigVO getFullById(String id);

    public DataLabelRuleConfigVO copy(DataLabelRuleConfigCopyDTO params);
}
