package com.xxh.cloud.datalabel.executor.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class DataLabelExecuteLogVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "患者ID")
    private String patientId;

    @ApiModelProperty(value = "患者数据日期")
    private Date patientDataDt;

    @ApiModelProperty(value = "流程规则配置ID")
    private String ruleId;

    @ApiModelProperty(value = "流程规则版本号")
    private Integer ruleVersion;


    @ApiModelProperty(value = "流程规则名称")
    private String ruleName;


    @ApiModelProperty(value = "操作开始时间")
    private Date startDate;


    @ApiModelProperty(value = "操作截止时间")
    private Date endDate;


    @ApiModelProperty(value = "操作时间(秒)")
    private Integer timeNum;


    @ApiModelProperty(value = "执行结果路径")
    private String executeResult;


    @ApiModelProperty(value = "执行结果状态")
    private String executeResultStatus;


    @ApiModelProperty(value = "操作时间")
    private Date opDate;




}
