package com.xxh.cloud.datalabel.executor.framework.modules.demo.d1;

import java.util.Random;
import java.util.function.Supplier;

public class CompletableFutureTask implements Supplier<Integer> {


    private static  Random random=new Random();

    private int idx;

    public CompletableFutureTask(int idx){
        this.idx=idx;
    }

    @Override
    public Integer get() {
        try {
            int x=random.nextInt(1000);
            Thread.sleep(x);
            System.out.println("执行任务编号 ： "+this.idx +" 执行结果 : "+x);
            return x;
        } catch (InterruptedException e) {
            e.printStackTrace();
            throw new RuntimeException(e);
        }
    }


}

