package com.xxh.cloud.rule.basic.constant;

/**
 *  工作流节点状态定义
 * */
public enum WorkFlowNodeStatusEnum {


    None("none","未执行"),

    Ing("ing","执行中"),
    Complete("complete","执行完成"),

    Kill("kill","终止"),
    ;

    private String code;
    private String msg;
    private WorkFlowNodeStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
