package com.xxh.cloud.rule.basic.constant;
/**
 *  工作流状态定义
 * */
public enum WorkFlowStatusEnum {

    None("none","未执行"),
    Ing("ing","执行中"),
    Success("success","执行完成"),
    Fail("fail","执行中止"),

    ;

    private String code;
    private String msg;
    private WorkFlowStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
