package com.xxh.cloud.rule.basic.context;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.Map;


public class XXRuleRoamHealthItem {


    @ApiModelProperty("标准数据分类")
    private String type;

    @ApiModelProperty("标准数据编号")
    private String mdc;

    @ApiModelProperty("标准数据值")
    private Object mdv;


    @ApiModelProperty("所属部门编号")
    private String deptCode;

    @ApiModelProperty("数据时间")
    private Date dataDate;




    /**
     *
     * */
    public XXRuleRoamHealthItem(String type,String mdc,Object mdv){
        this.type=type;
        this.mdc=mdc;
        this.mdv=mdv;
    }


    /**
     * RuleCondtionDataTypeEnum
     * */
    public XXRuleRoamHealthItem(String type,String mdc,Object mdv,String deptCode,Date dataDate){
        this.type=type;
        this.mdc=mdc;
        this.mdv=mdv;
        this.deptCode=deptCode;
        this.dataDate=dataDate;
    }




    public XXRuleRoamHealthItem(){

    }


    //==================================


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMdc() {
        return mdc;
    }

    public void setMdc(String mdc) {
        this.mdc = mdc;
    }


    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public Object getMdv() {
        return mdv;
    }

    public void setMdv(Object mdv) {
        this.mdv = mdv;
    }

    public Date getDataDate() {
        return dataDate;
    }

    public void setDataDate(Date dataDate) {
        this.dataDate = dataDate;
    }


}
