package com.xxh.cloud.rule.basic.context;

import cn.hutool.core.date.DatePattern;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.StrUtil;

import java.util.Date;

public class XXRuleRoamHealthItemHelper {


    /**
     * RuleCondtionDataTypeEnum
     * */
    public static String getMateDateCode(String prefix, Date date){
        return StrUtil.format("{}__{}",prefix,DateUtil.format(date, DatePattern.PURE_DATETIME_FORMAT));
    }


    public static String getMateDateCode(String prefix, String val){
        return StrUtil.format("{}__{}",prefix,val);
    }


    public static String getMateDateCode(String prefix, String val,String extendOne){
        if(StrUtil.isNotEmpty(extendOne)){
            return StrUtil.format("{}__{}_{}",prefix,val,extendOne);
        }else {
            return StrUtil.format("{}__{}",prefix,val);
        }



    }

    public static String getMateDateCode(String prefix, Date date,String extendOne){
        if(StrUtil.isNotEmpty(extendOne)){
            return StrUtil.format("{}__{}_{}",prefix,DateUtil.format(date, DatePattern.PURE_DATETIME_FORMAT),extendOne);
        }else {
            return StrUtil.format("{}__{}",prefix,DateUtil.format(date, DatePattern.PURE_DATETIME_FORMAT));
        }
    }


    public static String getMateDateCode(String prefix, Date date,String extendOne,String extendTwo){
        String val=XXRuleRoamHealthItemHelper.getMateDateCode(prefix,date,extendOne);
        if(StrUtil.isNotEmpty(extendTwo)){
            return val+"_"+extendTwo;
        }else {
            return val;
        }
    }



    public static boolean isKeyPrefix(String key,String prefix){
        String _prefix=getMateDatePrefix(key);
        if(prefix.equals(_prefix)){
            return true;
        }else {
            return false;
        }
    }




    public static String getMateDatePrefix(String key){
        return key.split("__")[0];
    }


//    public static void main(String[] args) {
//        String str= XXRuleRoamHealthItemHelper.getMateDateCode("2222",new Date());
//        String prefix= XXRuleRoamHealthItemHelper.getMateDatePrefix(str);
//        System.out.println(prefix);
//    }

}
