package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class RoamItemDwdEmrCheckBasic {


    /**
     * 身高
     * */
    private Float height;


    /**
     * 体重
     * */
    private Float weight;

    /**
     * 血压 (低压-高压)
     * */
    private String bloodPressure;

    /**
     * 心率
     * */
    private Integer heartRate;

    /**
     * 体温
     * */
    private Float temperature;

    /**
     * BMI
     * */
    private Float bmi;


    /**
     * 部门编号
     * */
    private String deptCode;

    /**
     * 部门名称
     * */
    private String deptName;


    @ApiModelProperty(value = "病历时间")
    private Date emrData;

}
