package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;


/**
 * 住院记录
 * */
@Getter
@Setter
public class RoamItemDwdInpatientRecord {



    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "就诊记录号")
    private String visitId;

    @ApiModelProperty(value = "关联住院号")
    private String inPatientNo;


    @ApiModelProperty(value = "入住科室名称(原始)")
    private String admitDepartmentNameRaw;

    @ApiModelProperty(value = "入住科室名称(标准)")
    private String admitDepartmentNameStandard;

    @ApiModelProperty(value = "入住科室编码(原始)")
    private String admitDepartmentCodeRaw;

    @ApiModelProperty(value = "入住科室编码(标准)")
    private String admitDepartmentCodeStandard;

    @ApiModelProperty(value = "入住时间")
    private Date inpatientDate;

    @ApiModelProperty(value = "入住病区")
    private String inpatientWard;

    @ApiModelProperty(value = "床号")
    private String bedNumber;

    @ApiModelProperty(value = "入院方式(原始)")
    private String enterWayRaw;

    @ApiModelProperty(value = "入院方式(标准)")
    private String enterWayStandard;

    @ApiModelProperty(value = "预约时间")
    private Date bookDate;

    @ApiModelProperty(value = "入院诊断编码(标准)")
    private List<String> diagnosisCodeStandard;

    @ApiModelProperty(value = "对象类型")
    private String ot;

}
