package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 标签
 * */
@Getter
@Setter
public class RoamItemDwdLabel {

    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "标签编号")
    private String labelId;

    @ApiModelProperty(value = "标签名称")
    private String labelName;

    @ApiModelProperty(value = "标签类型")
    private String labelType;

    @ApiModelProperty(value = "来源分类")
    private String sourceType;

    @ApiModelProperty(value = "来源一级关联ID")
    private String sourceOneId;

    @ApiModelProperty(value = "来源二级关联ID")
    private String sourceTwoId;

    @ApiModelProperty(value = "操作动作分类")
    private String opType;

    @ApiModelProperty(value = "数据操作时间")
    private Date dataUpdateDate;

    @ApiModelProperty(value = "对象类型")
    private String ot;

    @ApiModelProperty(value = "对象类型(当前、历史)")
    private String dataType;






}
