package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 检验报告单明细
 * */
@Getter
@Setter
public class RoamItemDwdLaboratoryReportItem {


//    @ApiModelProperty(value = "检验组套编码(原始)")
//    private String projectGroupCodeRaw;
//
//    @ApiModelProperty(value = "检验组套编码(标准)")
//    private String projectGroupCodeStandard;
//
//    @ApiModelProperty(value = "检验组套名称(原始)")
//    private String projectGroupNameRaw;
//
//    @ApiModelProperty(value = "检验组套名称(标准)")
//    private String projectGroupNameStandard;

    @ApiModelProperty(value = "检验项目编码(原始)")
    private String projectIdRaw;

    @ApiModelProperty(value = "检验项目编码(标准)")
    private String projectIdStandard;

    @ApiModelProperty(value = "检验项目名称(原始)")
    private String nameRaw;

    @ApiModelProperty(value = "检验项目名称(标准)")
    private String nameStandard;


    @ApiModelProperty(value = "检验项目缩写(原始)")
    private String codeRaw;


    @ApiModelProperty(value = "检验项目缩写(标准)")
    private String codeStandard;


    @ApiModelProperty(value = "是否异常(原始)")
    private String abnormal;


    @ApiModelProperty(value = "结果状态异常标记(原始)")
    private String abnormalIndicator;


    @ApiModelProperty(value = "单位(原始)")
    private String unitRaw;


    @ApiModelProperty(value = "单位(标准)")
    private String unitStandard;


    @ApiModelProperty(value = "参考范围(原始)")
    private String referenceRaw;


    @ApiModelProperty(value = "参考范围(标准)")
    private String referenceStandard;


    @ApiModelProperty(value = "结果(原始)")
    private String inspectResultRaw;


    @ApiModelProperty(value = "结果分类(标准)")
    private String resultType;


    @ApiModelProperty(value = "二分类结果(标准)")
    private String resultTwoCategoryCode;

    @ApiModelProperty(value = "二分类结果(标准)")
    private String resultTwoCategoryName;


    @ApiModelProperty(value = "叙述结果(标准)")
    private List<String> resultNarrate;


    @ApiModelProperty(value = "结果值(标准)")
    private BigDecimal resultValue;


    @ApiModelProperty(value = "结果值标记(标准)")
    private String resultValueFlag;


    @ApiModelProperty(value = "结果值标记比例(标准)")
    private BigDecimal resultValueRate;




}
