package com.xxh.cloud.rule.basic.context.bean;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.Map;

/**
 * 量表结果
 * */
@Getter
@Setter
public class RoamItemDwdScale {


    @ApiModelProperty(value = "ID")
    private String id;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "量表配置ID")
    private String scaleId;

    @ApiModelProperty(value = "量表配置code[id+结果key]")
    private String scaleCode;

    @ApiModelProperty(value = "量表结果")
    private String scaleResult;

    @ApiModelProperty(value = "数据操作时间")
    private Date dataUpdateDate;





}
