package com.xxh.cloud.rule.framework.modules.action.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 动作信息表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_action_info")
public class RuleActionInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;


     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    @ApiModelProperty(value = "项目编号")
     private String projectCode;


     @ApiModelProperty(value = "名称")
      private String name;

    @ApiModelProperty(value = "分类")
    private String type;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 逻辑删除标记(Y:正常,N:删除)
     */
     @ApiModelProperty(value = "逻辑删除标记(Y:正常,N:删除)")
      private String rowsStatus;



}
