package com.xxh.cloud.rule.framework.modules.action.entity.dto;

import com.xxh.cloud.rule.client.api.constant.enums.ActionTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class RuleActionInfoSaveDTO {



    @ApiModelProperty(value = "编号",required = true)
    @NotEmpty(message = "编号不能为空")
    private String id;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "分类(ActionTypeEnum)",required = true)
    @NotEmpty(message = "分类不能为空")
    private String type= ActionTypeEnum.ATM.getCode();


    @ApiModelProperty(value = "备注")
    private String remark;
}
