package com.xxh.cloud.rule.framework.modules.action.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class RuleActionMethodByCodeDTO {



    @ApiModelProperty(value = "动作ID",required = true)
    @NotEmpty(message = "动作ID不能为空")
    private String actionId;


    @ApiModelProperty(value = "方法编号",required = true)
    @NotEmpty(message = "方法编号不能为空")
    private String code;
}
