package com.xxh.cloud.rule.framework.modules.action.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class RuleActionMethodSaveDTO {


    @ApiModelProperty(value = "动作Id",required = true)
    @NotEmpty(message = "动作Id不为为空")
    private String actionId;


    @ApiModelProperty(value = "方法编号" ,required = true)
    @NotEmpty(message = "方法编号不为为空")
    private String code;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "方法名称" ,required = true)
    @NotEmpty(message = "方法名称不为为空")
    private String name;


    @ApiModelProperty(value = "方法备注")
    private String remark;


    @ApiModelProperty(value = "方法请求参数",required = true)
    @NotNull(message = "方法请求参数不能为空")
    private List<RuleActionMethodParamBO> inParams;

}
