package com.xxh.cloud.rule.framework.modules.action.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class RuleActionMethodUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不为为空")
    private String id;



    @ApiModelProperty(value = "方法名称" ,required = true)
    @NotEmpty(message = "方法名称不为为空")
    private String name;


    @ApiModelProperty(value = "方法备注")
    private String remark;


    @ApiModelProperty(value = "方法请求参数")
    private List<RuleActionMethodParamBO> inParams;
}
