package com.xxh.cloud.rule.framework.modules.action.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class RuleActionMethodParamConfigVO {


    @ApiModelProperty(value = "数据分类(字典编码数据、标准编码数据)(RuleMethodParamDataType)")
    private String type;

    @ApiModelProperty(value = "数据内容分类")
    private String dataType;

    @ApiModelProperty(value = "(多值/单值)分类(MetadataStandardDicM2OTypeEnum)[many/one]")
    private String moType;

    @ApiModelProperty(value = "字典-默认值")
    private List<String> defVal;




}
