package com.xxh.cloud.rule.framework.modules.action.entity.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class RuleActionVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "分类")
    private String type;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    //=====================================

    @ApiModelProperty(value = "创建用户名")
    private String creatorUserName;

    @ApiModelProperty(value = "修改用户名")
    private String updaterUserName;

    @ApiModelProperty(value = "创建用户真实名称")
    private String creatorRealName;

    @ApiModelProperty(value = "修改用户真实名称")
    private String updaterRealName;








}
