package com.xxh.cloud.rule.framework.modules.action.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.mybatisplus.page.PageConverter;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.rule.framework.modules.action.entity.dos.RuleActionInfo;
import com.xxh.cloud.rule.framework.modules.action.entity.dos.RuleActionMethodInfo;
import com.xxh.cloud.rule.framework.modules.action.entity.dos.RuleActionMethodParameterInfo;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoListDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoQueryDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoSaveDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoUpdateDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.vos.RuleActionVO;
import com.xxh.cloud.rule.framework.modules.action.helper.RuleActionHelper;
import com.xxh.cloud.rule.framework.modules.action.mapper.RuleActionInfoMapper;
import com.xxh.cloud.rule.framework.modules.action.service.RuleActionInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxh.cloud.rule.framework.modules.action.service.RuleActionMethodInfoService;
import com.xxh.cloud.rule.framework.modules.action.service.RuleActionMethodParameterInfoService;
import com.xxh.cloud.rule.framework.modules.cache.helper.RuleCacheKeysHelper;
import com.xxh.cloud.user.client.api.AdminUserClientService;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * <p>
 * 动作信息表 服务实现类
 * </p>
 */
@Service
public class RuleActionInfoServiceImpl extends ServiceImpl<RuleActionInfoMapper, RuleActionInfo> implements RuleActionInfoService {


}
