package com.xxh.cloud.rule.framework.modules.action.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.framework.common.exception.BusinessBaseErrorEnum;
import com.xxh.cloud.framework.common.exception.BusinessException;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.rule.framework.modules.action.entity.dos.RuleActionMethodInfo;
import com.xxh.cloud.rule.framework.modules.action.entity.dos.RuleActionMethodParameterInfo;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionMethodListDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionMethodSaveDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionMethodUpdateDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.vos.RuleActionMethodVO;
import com.xxh.cloud.rule.framework.modules.action.entity.vos.RuleActionVO;
import com.xxh.cloud.rule.framework.modules.action.helper.RuleActionHelper;
import com.xxh.cloud.rule.framework.modules.action.helper.RuleActionMethodHelper;
import com.xxh.cloud.rule.framework.modules.action.mapper.RuleActionMethodInfoMapper;
import com.xxh.cloud.rule.framework.modules.action.service.RuleActionMethodInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxh.cloud.rule.framework.modules.action.service.RuleActionMethodParameterInfoService;
import com.xxh.cloud.rule.framework.modules.cache.helper.RuleCacheKeysHelper;
import com.xxh.cloud.rule.framework.modules.cache.service.RuleActionCacheService;
import com.xxh.cloud.user.client.api.AdminUserClientService;
import com.xxh.cloud.user.client.api.bean.bos.AdminUserBO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

/**
 * <p>
 * 动作方法表 服务实现类
 * </p>
 */
@Service
public class RuleActionMethodInfoServiceImpl extends ServiceImpl<RuleActionMethodInfoMapper, RuleActionMethodInfo> implements RuleActionMethodInfoService {



}
