package com.xxh.cloud.rule.framework.modules.constant;

import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;

/**
 * 22001
 * */
public enum XXRuleErrorEnum implements IErrorCodeEnum {


    Rule_Script_Error(22001,"脚本配置错误"),
    Rule_Param_Error(22002,"参数错误"),

//    Rule_Op_Error(22003,"非法操作"),




    ;
    private int code;
    private String msg;
    private XXRuleErrorEnum() {
    }
    XXRuleErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    @Override
    public int getCode() {
        return code;
    }
    @Override
    public String getMsg() {
        return msg;
    }

}
