package com.xxh.cloud.rule.framework.modules.log.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 规则执行日志表
 * </p>
 */
@Deprecated
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_exe_log_info")
public class RuleExeLogInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 规则ID
     */
     @ApiModelProperty(value = "规则ID")
      private String ruleId;

    /**
     * 调用内容
     */
     @ApiModelProperty(value = "调用内容")
      private String inContent;

    /**
     * 返回内容
     */
     @ApiModelProperty(value = "返回内容")
      private String outContent;

    /**
     * 开始执行时间
     */
     @ApiModelProperty(value = "开始执行时间")
      private Date startDate;

    /**
     * 截止执行时间
     */
     @ApiModelProperty(value = "截止执行时间")
      private Date endDate;






}
