package com.xxh.cloud.rule.framework.modules.log.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.rule.framework.modules.log.entity.dos.RuleActionLogInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogGetDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogQueryDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogSaveBatchDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogSaveDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.vos.RuleActionLogVO;

import java.util.Collection;

/**
 * <p>
 * 规则调用动作日志信息表 服务类
 * </p>
 */
public interface RuleActionLogInfoService extends IService<RuleActionLogInfo> {



    public PageData<RuleActionLogVO> query(RuleActionLogQueryDTO params);

    public RuleActionLogVO infoById(RuleActionLogGetDTO params);

    public void save(RuleActionLogSaveDTO params);

    public void saveBatch(RuleActionLogSaveBatchDTO params);

    public void delById(String id);

    public void delByIds(Collection<String> ids);

}
