package com.xxh.cloud.rule.framework.modules.log.service.impl;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.rule.framework.modules.log.entity.dos.RuleActionLogInfo;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogGetDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogQueryDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogSaveBatchDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.dto.RuleActionLogSaveDTO;
import com.xxh.cloud.rule.framework.modules.log.entity.vos.RuleActionLogVO;
import com.xxh.cloud.rule.framework.modules.log.mapper.RuleActionLogInfoMapper;
import com.xxh.cloud.rule.framework.modules.log.service.RuleActionLogInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.xxh.cloud.rule.framework.modules.log.service.RuleExeLogItemInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;

/**
 * <p>
 * 规则调用动作日志信息表 服务实现类
 * </p>
 */
@Service
public class RuleActionLogInfoServiceImpl extends ServiceImpl<RuleActionLogInfoMapper, RuleActionLogInfo> implements RuleActionLogInfoService {

    @Autowired
    private RuleExeLogItemInfoService ruleExeLogItemInfoService;

    @Override
    public PageData<RuleActionLogVO> query(RuleActionLogQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        return null;
    }

    @Override
    public RuleActionLogVO infoById(RuleActionLogGetDTO params) {
        ValidatorUtils.validateEntity(params);
        return null;
    }

    @Override
    public void save(RuleActionLogSaveDTO params) {
        ValidatorUtils.validateEntity(params);

    }

    @Override
    public void saveBatch(RuleActionLogSaveBatchDTO params) {
        ValidatorUtils.validateEntity(params);
    }

    @Override
    public void delById(String id) {

    }

    @Override
    public void delByIds(Collection<String> ids) {

    }
}
