package com.xxh.cloud.rule.framework.modules.rule.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 规则分类表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_category_info")
public class RuleCategoryInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 顺序
     */
     @ApiModelProperty(value = "顺序")
      private Integer orders;

    /**
     * 上级ID
     */
     @ApiModelProperty(value = "上级ID")
      private String pid;




}
