package com.xxh.cloud.rule.framework.modules.rule.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 规则引用信息表
 * </p>
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_config_rel_info")
public class RuleConfigRelInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    /**
     * 配置表ID
     */
    @ApiModelProperty(value = "配置表ID")
    private String ruleConfigId;

    /**
     * 节点ID
     */
    @ApiModelProperty(value = "节点ID")
    private String nodeId;

    /**
     * 节点类型
     */
    @ApiModelProperty(value = "节点类型")
    private String nodeType;

    /**
     * 节点规则类型
     */
    @ApiModelProperty(value = "节点规则类型")
    private String nodeRuleType;

    /**
     * 动作ID
     */
    @ApiModelProperty(value = "动作ID")
    private String actionId;

    /**
     * 方法ID
     */
    @ApiModelProperty(value = "方法编号")
    private String methodCode;


    @ApiModelProperty(value = "条件一级分类编号")
    private String conditionOneCode;

    @ApiModelProperty(value = "条件一级分类名称")
    private String conditionOneName;

    /**
     * 参数分类
     */
    @ApiModelProperty(value = "参数分类")
    private String paramType;

    /**
     * 参数编号
     */
    @ApiModelProperty(value = "参数编号")
    private String paramCode;

    /**
     * 参数名称
     */
    @ApiModelProperty(value = "参数名称")
    private String paramName;

    /**
     * 创建者
     */
    @ApiModelProperty(value = "创建者")
    private String creator;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createDate;

}
