package com.xxh.cloud.rule.framework.modules.rule.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 决策流配置表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_decision_flow_config_info")
public class RuleDecisionFlowConfigInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
     @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 配置表ID
     */
     @ApiModelProperty(value = "配置表ID")
      private String ruleConfigId;

    /**
     * 决策流配置信息
     */
     @ApiModelProperty(value = "决策流配置信息")
      private String content;




}
