package com.xxh.cloud.rule.framework.modules.rule.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 决策树节点配置表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_decision_tree_node_config_info")
public class RuleDecisionTreeNodeConfigInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 配置表ID
     */
     @ApiModelProperty(value = "配置表ID")
      private String ruleConfigId;


    /**
     * 节点分类
     */
     @ApiModelProperty(value = "节点分类")
      private String nodeType;

    /**
     * 节点名称
     */
     @ApiModelProperty(value = "节点名称")
      private String nodeName;

    /**
     * 前节点编号
     */
     @ApiModelProperty(value = "前节点编号")
      private String pid;

    /**
     * 节点条件配置
     */
     @ApiModelProperty(value = "节点条件配置")
      private String nodeCondition;

    /**
     * 节点动作配置
     */
     @ApiModelProperty(value = "节点动作配置")
      private String nodeAction;





}
