package com.xxh.cloud.rule.framework.modules.rule.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
public class DecisionTreeConfigSave2EditDTO {

    @ApiModelProperty(value = "规则配置ID" ,required = true)
    @NotEmpty(message = "规则配置ID不能为空")
    private String ruleConfigId;

    @ApiModelProperty(value = "节点配置" ,required = true)
    @NotNull(message = "节点配置不能为空")
    private List<DecisionTreeConfigItem> nodes;


}
