package com.xxh.cloud.rule.framework.modules.rule.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.constant.Constant;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class RuleCategorySaveDTO {


     @ApiModelProperty(value = "id")
     private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty(value = "顺序",required = true)
    @NotNull(message = "顺序不能为空")
    private Integer orders=1;


    @ApiModelProperty(value = "上级ID",required = true)
    @NotEmpty(message = "上级ID不能为空")
    private String pid= Constant.RootParentNodeId;



}
