package com.xxh.cloud.rule.framework.modules.rule.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class RuleConfigBackUpAddDTO {


    @ApiModelProperty(value = "规则配置ID",required = true)
    @NotEmpty(message = "规则配置ID不能为空")
    private String ruleConfigId;

    @ApiModelProperty(value = "备份备注")
    private String backUpRemark;


}
