package com.xxh.cloud.rule.framework.modules.rule.entity.vos;

import com.xxh.cloud.rule.core.entity.flow.XXFlowNodeBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Getter
@Setter
public class RuleDecisionFlowConfigVO {




    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "分类id")
    private String categoryId;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "分类")
    private String type;


    @ApiModelProperty(value = "状态")
    private String status;

    @ApiModelProperty(value = "规则来源")
    private String source;





    //============================================

    @ApiModelProperty(value = "规则配置")
    private XXFlowNodeBO config;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //============================================



}
