package com.xxh.cloud.rule.framework.modules.rule.entity.vos;

import com.xxh.cloud.framework.common.tree.TreeNode;
import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import com.xxh.cloud.rule.core.entity.base.NodeMethod;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RuleDecisionTreeConfigVO extends TreeNode<RuleDecisionTreeConfigVO> {


    @ApiModelProperty(value = "配置表ID")
    private String ruleConfigId;

    @ApiModelProperty(value = "节点分类")
    private String nodesType;

    @ApiModelProperty(value = "节点名称")
    private String nodesName;

    @ApiModelProperty(value = "节点条件配置")
    private NodeCondition nodesCondition;

    @ApiModelProperty(value = "节点-条件脚本")
    private String nodesConditionScript;


    @ApiModelProperty(value = "节点动作配置")
    private NodeMethod nodesAction;



}
