package com.xxh.cloud.rule.framework.modules.rule.helper;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.utils.StrJoinSplitUtils;
import com.xxh.cloud.rule.core.entity.flow.XXFlowNodeBO;
import com.xxh.cloud.rule.framework.modules.rule.entity.dos.RuleConfigBackUpInfo;
import com.xxh.cloud.rule.framework.modules.rule.entity.vos.RuleConfigBackUpVO;

public class RuleConfigBackUpConvert {


    public static RuleConfigBackUpVO getRuleConfigBackUpVOSimple(RuleConfigBackUpInfo entity){
        RuleConfigBackUpVO data=new RuleConfigBackUpVO();
        BeanUtil.copyProperties(entity,data,"config","relId");
        if(StrUtil.isNotEmpty(entity.getRelId())){
            data.setRelId(StrJoinSplitUtils.split2List(entity.getRelId()));
        }
        return data;
    }



    public static RuleConfigBackUpVO getRuleConfigBackUpVO(RuleConfigBackUpInfo entity){
        RuleConfigBackUpVO data=getRuleConfigBackUpVOSimple(entity);
        if(StrUtil.isNotEmpty(entity.getConfig())){
            data.setConfig(JSON.parseObject(entity.getConfig(), XXFlowNodeBO.class));
        }
        return data;
    }

}
