package com.xxh.cloud.rule.framework.modules.rule.helper;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.IdUtil;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.rule.core.context.XXRuleVariable2NodeBO;
import com.xxh.cloud.rule.core.context.XXRuleVariableBO;
import com.xxh.cloud.rule.core.context.XXRuleVariableRoom;
import com.xxh.cloud.rule.framework.modules.rule.entity.dos.RuleConfigRelInfo;

import java.util.ArrayList;
import java.util.List;

public class RuleConfigHelper {

    public static List<RuleConfigRelInfo> getRuleConfigRelInfo_Add(String ruleConfigId, XXRuleVariableRoom ruleVariableRoom){
        List<RuleConfigRelInfo> data=new ArrayList<>();
        for(String key:ruleVariableRoom.keySet()){
            XXRuleVariable2NodeBO ruleVariable2NodeBO = ruleVariableRoom.get(key);
            if(CollUtil.isNotEmpty(ruleVariable2NodeBO.getVars())){
                ruleVariable2NodeBO.getVars().forEach(item->{
                    data.add(RuleConfigHelper.getRuleConfigRelInfo_Add(ruleConfigId,ruleVariable2NodeBO,item));
                });
            }
        }
        return data;
    }


    public static RuleConfigRelInfo getRuleConfigRelInfo_Add(String ruleConfigId, XXRuleVariable2NodeBO ruleVariable2NodeBO, XXRuleVariableBO ruleVariableBO){
        RuleConfigRelInfo entity=new RuleConfigRelInfo();
        entity.setId(IdUtil.getSnowflake(6,1).nextIdStr());
        entity.setRuleConfigId(ruleConfigId);
        entity.setNodeId(ruleVariable2NodeBO.getNodeId());
        entity.setNodeType(ruleVariable2NodeBO.getNodeType());
        entity.setNodeRuleType(ruleVariable2NodeBO.getNodeRuleType());
        entity.setActionId(ruleVariableBO.getActionId());
        entity.setMethodCode(ruleVariableBO.getMethodCode());
        entity.setConditionOneCode(ruleVariableBO.getContionOneCode());
        entity.setConditionOneName(ruleVariableBO.getContionOneName());
        entity.setParamType(ruleVariableBO.getParamType());
        entity.setParamCode(ruleVariableBO.getParamCode());
        entity.setParamName(ruleVariableBO.getParamName());
        return entity;
    }




}
