package com.xxh.cloud.rule.execute.inference.client.bean.bos;

import com.xxh.cloud.rule.basic.api.bean.dto.MethodExecuteParamDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class ClientActionMethodBO {


    @ApiModelProperty(value = "动作(函数组)ID")
    private String aid;

    @ApiModelProperty(value = "动作(函数组)名称")
    private String aname;


    @ApiModelProperty(value = "方法(函数)编号")
    private String f;

    @ApiModelProperty(value = "方法(函数)名称")
    private String n;


    @ApiModelProperty(value = "方法(函数)参数")
    private List<ClientActionMethodParamBO> p;


    public void addParam(ClientActionMethodParamBO item){
        if(this.p==null){
            this.p=new ArrayList<>();
        }
        if(item!=null){
            this.p.add(item);
        }
    }


}
