package com.xxh.cloud.rule.execute.inference.client.bean.dto;

import com.xxh.cloud.rule.basic.api.MethodExecuteByCallApi;
import com.xxh.cloud.rule.basic.constant.InferenceExecuteCallWayEnum;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class InferenceExecuteBy2OnCallDTO {

    /**
     * 规则配置ID
     * */
    private String ruleId;


    /**
     * 数据
     * */
    private XXRuleRoam data;


    /**
     * API
     * */
    private MethodExecuteByCallApi api;


    /**
     * 执行人
     * */
    private String opUserId;


    /**
     * 执行方式
     * */
    private InferenceExecuteCallWayEnum opWay;

}
