package com.xxh.cloud.rule.core.constant;

/**
 * 规则配置-系统分类: 支持[决策树、决策流]
 * */
public enum RuleConfigTypeEnum {

    RCT_Decision_Tree("decision_tree","决策树"),
    RCT_Decision_Flow("decision_flow","决策流"),

//    RCT_Decision_Table("decision_table","决策表"),
//    RCT_Decision_Set("decision_set","决策集"),
//    RCT_Score_Card("score_card","评分卡"),
    ;

    private String code;
    private String msg;
    private RuleConfigTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
