package com.xxh.cloud.rule.core.constant;

/**
 * 值分类
 * */
public enum ValueTypeEnum {

    VT_Constant("constant","常量值"),
    VT_Fixed("fixed","固定值"),

    VT_Variable("variable","变量值")
    ;
    private String code;
    private String name;


    ValueTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
