package com.xxh.cloud.rule.core.constant;

/**
 * 决策流节点分类
 * */
public enum XXFlowNodeTypeEnum {

    XXFNT_Start("start","开始->(选择[执行方法、属性条件、动作方法条件])"),

    XXFNT_Approver("approver","审批->(执行方法)"),

    XXFNT_Timer("timer","定时->(暂不支持)"),

    XXFNT_Condition("condition","条件->(选择[属性条件、动作方法条件])"),

    XXFNT_Interflow("interflow","分流/合流"),

    ;


    private String code;
    private String name;


    XXFlowNodeTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
