package com.xxh.cloud.rule.core.context;

import com.xxh.cloud.rule.basic.context.XXRuleRoamHealthItem;
import com.xxh.cloud.rule.core.entity.base.PropertyConditionHealthBean;
import com.xxh.cloud.rule.core.executor.condition.context.ConditionContextDataItemBO;
import com.xxh.cloud.rule.core.executor.condition.context.ConditionContextExeLogBO;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * op运算符结果定义
 * */
@Getter
@Setter
public class XXOperateResult {
    /**
     * 条件结果
     * */
    private boolean flag;



    /**
     * 条件判断数据【执行成功的日志】
     * */
    private ConditionContextDataItemBO conditionData;



    /**
     * 执行数据列表【所有执行数据的日志】d
     * */
    private ConditionContextExeLogBO exeLog;




    public XXOperateResult(boolean flag, String date,Object value, PropertyConditionHealthBean cfg){
        this.flag=flag;
        this.conditionData=new ConditionContextDataItemBO(date,value,cfg);
        this.exeLog=new ConditionContextExeLogBO(cfg);
    }

    public XXOperateResult(boolean flag,ConditionContextDataItemBO conditionData){
        this.flag=flag;
        this.conditionData=conditionData;
    }


    public XXOperateResult(boolean flag){
        this.flag=flag;
    }




    public XXOperateResult(){

    }





}
