package com.xxh.cloud.rule.core.entity.base;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 叶子节点 - 方法
 * */
@Getter
@Setter
public class MethodBaseBean {


    @ApiModelProperty(value = "动作(函数组)ID")
    private String actionId;

    @ApiModelProperty(value = "动作(函数组)名称")
    private String actionName;

    @ApiModelProperty(value = "方法(函数)编号")
    private String methodCode;

    @ApiModelProperty(value = "方法(函数)名称")
    private String methodName;

    @ApiModelProperty(value = "方法参数列表")
    private List<MethodBaseParamBean> params;


}
