package com.xxh.cloud.rule.core.entity.base;

import com.xxh.cloud.rule.core.constant.ValueTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 *  基础属性条件(叶子节点)
 * */
@Getter
@Setter
public class PropertyConditionBaseBean {


    @ApiModelProperty("变量名称")
    private String varName;

    @ApiModelProperty("变量编号")
    private String varCode;

    @ApiModelProperty("变量数据类型")
    private String varType;

    @ApiModelProperty("操作符[OpEnum]")
    private String op;

    @ApiModelProperty("值分类 - ValueTypeEnum ")
    private String ovtype = ValueTypeEnum.VT_Fixed.getCode();

    @ApiModelProperty("值1")
    private ValueBean ovo;

    @ApiModelProperty("值2")
    private ValueBean ovt;

    @ApiModelProperty("多值")
    private List<ValueBean> ovs;



}
