package com.xxh.cloud.rule.core.entity.flow;

import com.alibaba.fastjson2.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;


public class XXFlowNodeBO {


    @ApiModelProperty(value = "节点分类")
    private String type;

    @ApiModelProperty(value = "节点内容")
    private String content;

    @ApiModelProperty(value = "节点ID")
    private String nodeId;

    @ApiModelProperty(value = "前置节点ID")
    private String prevId;

    @ApiModelProperty(value = "是否合流节点")
    private Boolean isInterflow;

    @ApiModelProperty(value = "下节点类型(无用)")
    private String conditionType;


    @ApiModelProperty(value = "节点属性")
    private XXFlowNodePropertyBO properties;

    @ApiModelProperty(value = "子节点")
    private XXFlowNodeBO childNode;

    @ApiModelProperty(value = "条件-分流 节点")
    private List<XXFlowNodeBO> conditionNodes;




    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getPrevId() {
        return prevId;
    }

    public void setPrevId(String prevId) {
        this.prevId = prevId;
    }

    public Boolean getIsInterflow() {
        return isInterflow;
    }

    public void setIsInterflow(Boolean isInterflow) {
        this.isInterflow = isInterflow;
    }

    public String getConditionType() {
        return conditionType;
    }

    public void setConditionType(String conditionType) {
        this.conditionType = conditionType;
    }

    public XXFlowNodePropertyBO getProperties() {
        return properties;
    }

    public void setProperties(XXFlowNodePropertyBO properties) {
        this.properties = properties;
    }

    public XXFlowNodeBO getChildNode() {
        return childNode;
    }

    public void setChildNode(XXFlowNodeBO childNode) {
        this.childNode = childNode;
    }

    public List<XXFlowNodeBO> getConditionNodes() {
        return conditionNodes;
    }

    public void setConditionNodes(List<XXFlowNodeBO> conditionNodes) {
        this.conditionNodes = conditionNodes;
    }
}
