package com.xxh.cloud.rule.core.entity.flow;

import com.xxh.cloud.rule.core.constant.RuleNodeTypeEnum;
import com.xxh.cloud.rule.core.constant.XXConditionNodeExeRelationTypeEnum;
import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import com.xxh.cloud.rule.core.entity.base.NodeMethod;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class XXFlowNodePropertyBO {

    @ApiModelProperty(value = "节点名称")
    private String title;

    @ApiModelProperty(value = "规则节点分类(RuleNodeTypeEnum)")
    private String ruleType;

    @ApiModelProperty(value = "条件节点的执行方式(XXConditionNodeExeRelationTypeEnum)")
    private String conditionExeType;

    @ApiModelProperty(value = "条件节点-执行条件")
    private NodeCondition condition;

    @ApiModelProperty(value = "执行节点-执行方法")
    private NodeMethod action;


}
