package com.xxh.cloud.rule.core.entity.flow;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 决策流
 * */
@Getter
@Setter
public class XXFlowRuleBO {



    /**
     * 规则ID
     * */
    private String id;

    /**
     * 规则名称
     * */
    private String name;

    /**
     * 规则分类ID
     * */
    private String ruleCategoryId;

    /**
     * 规则所属应用号
     * */
    private String projectCode;

    /**
     * 规则版本号
     * */
    private Integer version;

    /**
     * 规则分类
     * */
    private String type;

    /**
     * 规则分类
     * */
    private String bizType;

    /**
     *
     * */
    private String relType;

    /**
     *
     * */
    private String relTwoType;

    /**
     *
     * */
    private List<String> relIds;

    /**
     * 触发事件ID
     * */
    private String eventId;

//    /**
//     * 规则标签
//     * */
//    private List<String> tags;

    /**
     *  规则配置
     * */
    private XXFlowNodeBO config;


}
