package com.xxh.cloud.rule.core.entity.tree;


import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import com.xxh.cloud.rule.core.entity.base.NodeMethod;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
public class XXTreeNodeBO {

    @ApiModelProperty(value = "节点ID")
    private String id;

    @ApiModelProperty(value = "父节点ID")
    private String pid;


    @ApiModelProperty(value = "节点名称")
    private String name;


    @ApiModelProperty(value = "节点分类(RuleNodeTypeEnum)")
    private String type;


    @ApiModelProperty(value = "执行实现类")
    private String exeClass;

    @ApiModelProperty(value = "执行类-初始化参数")
    private Map<String,Object> exeParams;


    @ApiModelProperty(value = "条件节点-执行条件")
    private NodeCondition condition;

    @ApiModelProperty(value = "执行节点-执行方法")
    private NodeMethod action;


    @ApiModelProperty(value = "子节点列表")
    private List<XXTreeNodeBO> children;



}
