package com.xxh.cloud.rule.core.executor.condition;

import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdExamineReport;
import com.xxh.cloud.rule.core.context.XXRuleNodeLogBean;
import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import com.xxh.cloud.rule.core.context.XXRuleContext;
import com.xxh.cloud.rule.core.executor.condition.context.ConditionContext;
import com.xxh.cloud.rule.core.executor.condition.process.AbstractConditionNodeProcess;
import com.xxh.cloud.rule.core.executor.condition.process.DefaultConditionNodeExecuteProcess;

import java.util.Date;

/**
 * 条件执行
 * */
public class ConditionExecutor {



    /**
     * 条件判断执行-处理器【普通】
     * */
    private static AbstractConditionNodeProcess getInstallExecute(){
        return new DefaultConditionNodeExecuteProcess();
    }


    //todo:待更新

    /**
     * 条件判断执行(条件执行)
     * */
    public static boolean processExecute(XXRuleContext context, String nodeId, String nodeName,String nodeType, String nodeRuleType, NodeCondition condition){
        //条件上下文
        ConditionContext conditionContext=new ConditionContext();
        //节点执行时间= 节点执行结束时间 - 节点执行开始时间
        Date startDate= new Date();
        AbstractConditionNodeProcess process=ConditionExecutor.getInstallExecute();
        boolean flag= process.process(context,conditionContext,nodeId,nodeName,nodeType,nodeRuleType,condition);
        Date endDate= new Date();

        //记录条件节点执行日志
        context.addNodeLog(new XXRuleNodeLogBean(nodeId,nodeName,nodeType,nodeRuleType,startDate,endDate,conditionContext.getConditionItems(),flag));

        return flag;
    }


    /**
     * 条件判断执行(条件执行)
     * */
//    public static boolean processExecute(XXRuleContext context, String nodeId, String nodeName,String nodeType, String nodeRuleType, NodeCondition condition){
//        return true;
//    }














    }
