package com.xxh.cloud.rule.core.executor.condition.healthOperate;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.framework.common.utils.ConsoleUtils;
import com.xxh.cloud.metadata.framework.modules.common.constant.enums.RuleCondtionDataTypeEnum;
import com.xxh.cloud.rule.basic.context.XXRuleRoamHealthItem;
import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdScale;
import com.xxh.cloud.rule.core.context.XXOperateResult;
import com.xxh.cloud.rule.core.entity.base.PropertyConditionHealthBean;

import java.util.List;
import java.util.Map;

public class OPXXHNeHealth extends XXHOperateDefault{
    @Override
    public XXOperateResult op(String date, PropertyConditionHealthBean property, List<XXRuleRoamHealthItem> values, Map<String, XXRuleRoamHealthItem> baseData) {


        //量表结果
        if(RuleCondtionDataTypeEnum.ScaleResult.getCode().equals(property.getMdTypeCode())){
            for(XXRuleRoamHealthItem item:values) {
                if (item.getMdv() != null) {
                    RoamItemDwdScale scaleVal=(RoamItemDwdScale) item.getMdv();
                    ConsoleUtils.log("+++++++++++ NE 条件内容 量表结果 :"+ JSON.toJSONString(scaleVal));


                    if(StrUtil.isNotEmpty(scaleVal.getScaleCode()) && scaleVal.getScaleCode().equals(property.getMdCode())){
                        boolean flag=false;
                        if(StrUtil.isNotEmpty(scaleVal.getScaleResult()) && !scaleVal.getScaleResult().equals(property.getOval())){
                            flag=true;
                        }
                        if(flag){
                            ConsoleUtils.log(" +++++  量表结果[条件判断结果: true");
                            return new XXOperateResult(true,date,values,property);
                        }
                    }
                }
            }
        }



        return new XXOperateResult(false);
    }
}
