package com.xxh.cloud.rule.core.executor.condition.operate;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;

/**
 * 大于
 * */
public class XXGT extends XXOperateDefault{
    @Override
    public void check(IXXOperateValue params) {
        //todo:
    }

    @Override
    public boolean operate_str(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        String leftVal = Convert.toStr(params.getLeftVal());
        String rightVal = Convert.toStr(params.getRightOneVal());
        int compare= leftVal.compareTo(rightVal);
        return compare>0?true:false;
    }

    @Override
    public boolean operate_int(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        Integer leftVal= Convert.toInt(params.getLeftVal());
        Integer rightVal= Convert.toInt(params.getRightOneVal());

        return leftVal.intValue()>rightVal.intValue()?true:false;
    }

    @Override
    public boolean operate_double(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        Double leftVal = Convert.toDouble(params.getLeftVal());
        Double rightVal = Convert.toDouble(params.getRightOneVal());
        return leftVal.doubleValue()>rightVal.doubleValue()?true:false;
    }

    @Override
    public boolean operate_datetime(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        String leftVal = Convert.toStr(params.getLeftVal());
        String rightVal = Convert.toStr(params.getRightOneVal());
        //todo:
        return false;
    }
}
