package com.xxh.cloud.rule.core.executor.condition.operate;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;

import java.util.ArrayList;
import java.util.List;

public class XXIn extends XXOperateDefault{
    @Override
    public void check(IXXOperateValue params) {

    }

    @Override
    public boolean operate_str(IXXOperateValue params) {
        if(params.getLeftVal()==null){
            return false;
        }
        if(CollUtil.isEmpty(params.getRightVals())){
            return false;
        }
        String leftVal = Convert.toStr(params.getLeftVal());
        List<String> rightVals=new ArrayList<>();
        params.getRightVals().forEach(item->{
            rightVals.add(Convert.toStr(item));
        });
        return rightVals.contains(leftVal)?true:false;
    }

    @Override
    public boolean operate_int(IXXOperateValue params) {
        if(params.getLeftVal()==null){
            return false;
        }
        if(CollUtil.isEmpty(params.getRightVals())){
            return false;
        }
        Integer leftVal = Convert.toInt(params.getLeftVal());

        List<Integer> rightVals=new ArrayList<>();
        params.getRightVals().forEach(item->{
            rightVals.add(Convert.toInt(item));
        });
        return rightVals.contains(leftVal)?true:false;
    }

    @Override
    public boolean operate_double(IXXOperateValue params) {
        if(params.getLeftVal()==null){
            return false;
        }
        if(CollUtil.isEmpty(params.getRightVals())){
            return false;
        }
        Double leftVal = Convert.toDouble(params.getLeftVal());

        List<Double> rightVals=new ArrayList<>();
        params.getRightVals().forEach(item->{
            rightVals.add(Convert.toDouble(item));
        });
        return rightVals.contains(leftVal)?true:false;
    }

    @Override
    public boolean operate_datetime(IXXOperateValue params) {
        return this.operate_str(params);
    }
}
