package com.xxh.cloud.rule.core.executor.condition.operate;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.convert.Convert;

import java.util.ArrayList;
import java.util.List;

public class XXNotLikeAll extends XXOperateDefault{
    @Override
    public void check(IXXOperateValue params) {

    }

    @Override
    public boolean operate_str(IXXOperateValue params) {
        if(params.getLeftVal()==null){
            return false;
        }
        if(CollUtil.isEmpty(params.getRightVals())){
            return false;
        }
        String leftVal = Convert.toStr(params.getLeftVal());

        List<String> rightVals=new ArrayList<>();

        params.getRightVals().forEach(item->{
            rightVals.add(Convert.toStr(item));
        });

        for(String rightVal:rightVals){
            int index=leftVal.indexOf(rightVal);
            if(index>=0){
                return false;
            }
        }
        return true;
    }

    @Override
    public boolean operate_int(IXXOperateValue params) {
        return this.operate_str(params);
    }

    @Override
    public boolean operate_double(IXXOperateValue params) {
        return this.operate_str(params);
    }

    @Override
    public boolean operate_datetime(IXXOperateValue params) {
        return this.operate_str(params);
    }
}
