package com.xxh.cloud.rule.execute.framework.modules.biz.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class RuleInferenceExecuteMainLogQueryDTO extends BasePageDTO {


    @ApiModelProperty(value = "患者ID")
    private String patientId;

    @ApiModelProperty(value = "流程规则配置ID")
    private String ruleId;


    @ApiModelProperty(value = "流程规则名称")
    private String ruleName;

    @ApiModelProperty(value = "流程规则分类ID")
    private String ruleCategoryId;


    @ApiModelProperty(value = "操作开始时间(大于等于)")
    private String startDateGe;


    @ApiModelProperty(value = "操作开始时间(小于等于)")
    private String startDateLe;
}
