package com.xxh.cloud.rule.execute.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class RuleInferenceExecuteMainLogVO {




    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "患者ID")
    private String patientId;


    @ApiModelProperty(value = "流程规则配置ID")
    private String ruleId;


    @ApiModelProperty(value = "流程规则名称")
    private String ruleName;


    @ApiModelProperty(value = "流程规则分类ID")
    private String ruleCategoryId;


    @ApiModelProperty(value = "流程规则版本号")
    private Integer ruleVersion;



    @ApiModelProperty(value = "操作开始时间")
    private Date startDate;



    @ApiModelProperty(value = "操作结束时间")
    private Date endDate;


    @ApiModelProperty(value = "操作时间")
    private Integer timeNum;


    @ApiModelProperty(value = "调用方式")
    private String callWay;


    @ApiModelProperty(value = "调用人")
    private String caller;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("明细")
    private List<RuleInferenceExecuteItemLogVO> items;


    public void addItem(RuleInferenceExecuteItemLogVO item){
        if(this.items==null){
            this.items=new ArrayList<>();
        }
        if(item!=null){
            this.items.add(item);
        }
    }



}
