package com.xxh.cloud.rule.execute.framework.modules.cache;

import com.xxh.cloud.rule.core.entity.flow.XXFlowRuleBO;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface RuleWorkFlowCacheService {

    public XXFlowRuleBO getWorkFlowRule(String ruleConfigId);

    public Map<String,XXFlowRuleBO> getWorkFlowRuleMap(List<String> ruleConfigIds);

    public List<XXFlowRuleBO> getWorkFlowRuleList(List<String> ruleConfigIds);


    public void removeWorkFlowRule(String ruleConfigId,String bizType);



    /**
     *  推理引擎Id 列表
     * */
    public List<String> getWorkFlowRuleId2InferenceNot(Set<String> notExistIds);


    /**
     * 工作流引擎Id 列表
     * */
    public List<String>  getWorkFlowRuleId2WorkFlowNot(Set<String> notExistIds);


    /**
     * 事件流程引擎Id 列表
     * */
    public List<String> getWorkFlowRuleId2EventWorkFlowNot(Set<String> notExistIds);




    /**
     *  引擎配置
     * */
    public XXFlowRuleBO getWorkFlowRule2DB(String ruleConfigId);

    public Map<String,XXFlowRuleBO> getWorkFlowRuleMap2DB(List<String> ruleConfigIds);

    public List<XXFlowRuleBO> getWorkFlowRuleList2DB(List<String> ruleConfigIds);



    /**
     *  推理引擎Id 列表
     * */
    public List<String> getWorkFlowRuleId2Inference2DB();

    /**
     * 工作流引擎Id 列表
     * */
    public List<String>  getWorkFlowRuleId2WorkFlow2DB();


    /**
     * 事件流程引擎Id 列表
     * */
    public List<String> getWorkFlowRuleId2EventWorkFlow2DB();


    /**
     * 事件流程引擎Id 列表
     * */
    public List<String> getWorkFlowRuleId2EventWorkFlow2DB(String eventType);

    /**
     *  推理引擎Id 列表
     * */
    public List<String> getWorkFlowRuleId2InferenceNot2DB(Set<String> notExistIds);


    /**
     * 工作流引擎Id 列表
     * */
    public List<String>  getWorkFlowRuleId2WorkFlowNot2DB(Set<String> notExistIds);


    /**
     * 事件流程引擎Id 列表
     * */
    public List<String> getWorkFlowRuleId2EventWorkFlowNot2DB(Set<String> notExistIds);








}
