package com.xxh.cloud.rule.execute.framework.modules.cache.impl;

import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.rule.core.constant.RuleConfigBizTypeEnum;
import com.xxh.cloud.rule.core.entity.flow.XXFlowRuleBO;
import com.xxh.cloud.rule.execute.framework.modules.cache.RuleInferenceCacheService;
import com.xxh.cloud.rule.execute.framework.modules.meta.service.FlowRuleConfigGetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class RuleInferenceCacheServiceImpl implements RuleInferenceCacheService {

    @Autowired
    private RedisUtils redisUtils;

    @Autowired
    private FlowRuleConfigGetService flowRuleConfigGetService;

    @Override
    public XXFlowRuleBO getFlowRule(String ruleId) {


        return flowRuleConfigGetService.getById(ruleId);
    }







}
