package com.xxh.cloud.rule.execute.framework.modules.meta.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.core.toolkit.ParameterUtils;
import com.xxh.cloud.rule.execute.framework.modules.meta.bean.FlowRuleConfigGetBO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;


public interface FlowRuleConfigGetMapper {



    @Select("SELECT a.id , a.version_no as versionNo, a.category_id as categoryId, a.name , a.type , " +
            " a.biz_type as bizType, a.rel_type as relType, a.rel_two_type as relTwoType, a.rel_id as relId, a.event_id as eventId, " +
            " a.status ,b.content FROM r_rule_config_info a INNER JOIN r_rule_decision_flow_config_info b " +
            " on (a.id = b.rule_config_id) ${ew.customSqlSegment}")
    public FlowRuleConfigGetBO getFlowRuleConfig2Content(@Param(Constants.WRAPPER) QueryWrapper<FlowRuleConfigGetBO> queryWrapper);


    @Select("SELECT a.id , a.version_no as versionNo, a.category_id as categoryId, a.name , a.type , " +
            " a.biz_type as bizType, a.rel_type as relType, a.rel_two_type as relTwoType, a.rel_id as relId, a.event_id as eventId, " +
            " a.status ,b.content FROM r_rule_config_info a INNER JOIN r_rule_decision_flow_config_info b " +
            " on (a.id = b.rule_config_id) ${ew.customSqlSegment}")
    public List<FlowRuleConfigGetBO> getFlowRuleConfig2ContentList(@Param(Constants.WRAPPER) QueryWrapper<FlowRuleConfigGetBO> queryWrapper);




    @Select(" SELECT id , version_no as versionNo, category_id as categoryId, name , type ,biz_type as bizType, " +
            " rel_type as relType, rel_two_type as relTwoType, rel_id as relId, event_id as eventId,status  " +
            " FROM r_rule_config_info ${ew.customSqlSegment}")
    public List<FlowRuleConfigGetBO>  getFlowRuleConfigList(@Param(Constants.WRAPPER) QueryWrapper<FlowRuleConfigGetBO> queryWrapper);


}
