package com.xxh.cloud.rule.execute.framework.modules.workflow.service;

import com.xxh.cloud.rule.execute.framework.modules.base.entity.FlowTaskNodeInfo;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.ros.PatientExeRuleIdRO;
import com.xxh.cloud.rule.execute.inference.client.bean.bos.FlowEventTriggerNodeTaskResultBO;

import java.util.List;

public interface FlowTaskExecuteQueryService {

    /**
     * 可执行的流程引擎+执行中的定时任务节点(流程+事件)
     * */
    public PatientExeRuleIdRO getPatientExe2WorkFlowList(String patientUserId);

    /**
     * 根据事件ID获取事件规则配置ID
     * */
    public List<String> getEventFlowListByEventId(String eventId);

    /**
     * 根据日期获取自动执行的节点
     * */
    public List<FlowEventTriggerNodeTaskResultBO> getTriggerNodeTaskListByDay(String date);


    public FlowTaskNodeInfo getFlowTaskNodeById(String nodeTaskId);
}
