package com.xxh.cloud.rule.flow.executor.wr;

import java.util.ArrayList;

/**
 * 最大公约数
 * */
public class GysUtils {


    /**
     * 迭代计算两个最大公因数的方法
     * */
    private static int gcd(int m,int n) {
        if(n == 0){
            return m;
        }
        int r = m%n;
        return gcd(n,r);
    }

    /**
     * 计算多个数的最大公因数的方法
     * */
    public static int gcdd(ArrayList<Integer> number) {
        while(number.size()>1) {//如果仅剩一个数，那就是最后计算出的最大公因数
            int temp = gcd(number.get(0), number.get(1));//循环取出开头的两个数，计算他俩的最大公因数
			/*将他俩移除(为啥都是0，刚开始我也是0，1，但是移除完第一个后，后面的数会再次向前移一位，
			也就是说你要移除的第二个数就是现在位置为0的数)*/
            number.remove(0);
            number.remove(0);
            //将新计算的最大公因数进行添加进ArrayList的开头
            number.add(0,temp);
        }
        return number.get(0);//返回这组数的最大公因数
    }



}
