package com.xxh.cloud.uniondata.framework.modules.query.bean.dto;

import com.xxh.cloud.framework.common.entity.BasePageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;


@Getter
@Setter
public class StandardDataQueryTypeDTO extends BasePageDTO {

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "分类[RuleCondtionDataTypeEnum]",required = true)
    @NotEmpty(message = "分类不能为空")
    private String type;

    @ApiModelProperty(value = "ids")
    private List<String> ids;

    @ApiModelProperty(value = "关键字")
    private String keywords;


}
