package com.xxh.cloud.uniondata.framework.modules.thirdQuery.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.bean.bos.ThirdDictItemBO;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.bean.bos.ThirdLabelModelBO;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.bean.bos.ThirdPartBO;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.bean.bos.ThirdSymptomBO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface ThirdBasicQueryMapper {





    @Select("SELECT dict_label as name,dict_value as code FROM basic_dict_data  ${ew.customSqlSegment}")
    public List<ThirdDictItemBO> listThirdDictData(@Param(Constants.WRAPPER) Wrapper<ThirdDictItemBO> wrapper);



    @Select("SELECT id ,name FROM s_md_standard_symptom_info ${ew.customSqlSegment}")
    public IPage<ThirdSymptomBO> selectPageSymptom(IPage<ThirdSymptomBO> page, @Param(Constants.WRAPPER) QueryWrapper<ThirdSymptomBO> wrapper);


    @Select("SELECT id , name FROM s_md_standard_part_info ${ew.customSqlSegment}")
    public IPage<ThirdPartBO> selectThirdPart(IPage<ThirdPartBO> page,@Param(Constants.WRAPPER) QueryWrapper<ThirdPartBO> wrapper);



    @Select("SELECT id , name FROM s_md_standard_part_info ${ew.customSqlSegment}")
    public List<ThirdPartBO> listThirdPart(@Param(Constants.WRAPPER) QueryWrapper<ThirdPartBO> wrapper);





}
