package com.xxh.cloud.app;

import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdExamineReport;
import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdLabel;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;

@SpringBootApplication
@MapperScan(value = "com.xxh.cloud.**.**.modules.**.mapper")
@ComponentScan(basePackages = { "com.xxh.cloud" })
@EnableAsync
//@EnableScheduling
public class RuleRunApplication {

    public static void main(String[] args) {

        SpringApplication.run(RuleRunApplication.class, args);
    }

}
