package com.xxh.cloud.config.datalabel.constant;

public enum LabelRuleExeStatusEnum {


    LRES_None("none","未执行"),

    LRES_Start("start","执行开始"),

    LRES_Stop("stop","执行停止"),

    LRES_Complete("complete","执行完成"),

    LRES_Ing("ing","执行中"),




    ;
    private String code;
    private String name;

    private LabelRuleExeStatusEnum() {
    }

    LabelRuleExeStatusEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
