package com.xxh.cloud.datalabel.config.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 数据标签规则引用信息表
 * </p>
 */
@Data
@TableName("r_data_label_rule_rel_info")
public class DataLabelRuleRelInfo {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 项目编号
     */
     @ApiModelProperty(value = "项目编号")
      private String projectCode;

    /**
     * 配置ID
     */
     @ApiModelProperty(value = "配置ID")
      private String configId;


    @ApiModelProperty(value = "条件一级分类编号")
    private String conditionOneCode;

    @ApiModelProperty(value = "条件一级分类名称")
    private String conditionOneName;



    /**
     * 参数分类
     */
     @ApiModelProperty(value = "参数分类")
      private String paramType;

    /**
     * 参数编号
     */
     @ApiModelProperty(value = "参数编号")
      private String paramCode;

    /**
     * 参数名称
     */
     @ApiModelProperty(value = "参数名称")
      private String paramName;

    /**
     * 创建者
     */
     @ApiModelProperty(value = "创建者")
      private String creator;

    /**
     * 创建时间
     */
     @ApiModelProperty(value = "创建时间")
      private Date createDate;


}
