package com.xxh.cloud.datalabel.config.framework.modules.biz.bean.vos;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.healthy.basic.label.client.api.bean.bos.LabelBO;
import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class DataLabelRuleBackUpVO {




    @ApiModelProperty(value = "id")
    private Integer id;


    @ApiModelProperty(value = "配置id")
    private String configId;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "版本号")
    private Integer versionNo;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "分类")
    private String type;


    @ApiModelProperty(value = "备注")
    private String remark;


//    @ApiModelProperty(value = "配置")
//    private String config;


    @ApiModelProperty(value = "新增标签列表")
    private List<String> labelIds;


    @ApiModelProperty(value = "初始数据时间分类")
    private String initDateType;


    @ApiModelProperty(value = "初始数据时间值")
    private Integer initDateValue;



    @ApiModelProperty(value = "顺序")
    private Integer orders;


    @ApiModelProperty(value = "备份备注")
    private String backUpRemark;



    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;


    //======

    @ApiModelProperty(value = "配置")
    private NodeCondition config;

    @ApiModelProperty("标签列表")
    private List<LabelBO> labelList;

    public void addLabel(LabelBO item){
        if(this.labelList==null){
            this.labelList=new ArrayList<>();
        }
        if(item!=null){
            this.labelList.add(item);
        }
    }


}
