package com.xxh.cloud.datalabel.config.framework.modules.client.service;

import com.xxh.cloud.config.datalabel.client.api.DataLabelRuleConfigClient;
import com.xxh.cloud.config.datalabel.client.bean.bos.DataLabelRuleConfigBO;
import com.xxh.cloud.config.datalabel.client.bean.dto.LabelRuleStatusUpdateDTO;
import com.xxh.cloud.datalabel.config.framework.modules.base.entity.DataLabelRuleConfig;
import com.xxh.cloud.datalabel.config.framework.modules.biz.service.DataLabelRuleConfigBizService;
import com.xxh.cloud.datalabel.config.framework.modules.client.convert.DataLabelRuleConfigClientConvert;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class DataLabelRuleConfigClientImpl implements DataLabelRuleConfigClient {


    @Autowired
    private DataLabelRuleConfigBizService dataLabelRuleConfigBizService;

    @Override
    public DataLabelRuleConfigBO getLabelRuleConfigById(String id) {
        DataLabelRuleConfig entity= dataLabelRuleConfigBizService.getBeanById(id);
        return DataLabelRuleConfigClientConvert.getDataLabelRuleConfigBO(entity);
    }

    @Override
    public void updateLabelRuleConfigStatus(LabelRuleStatusUpdateDTO params) {
        dataLabelRuleConfigBizService.updateExeStatus(params);
    }


}
