package com.xxh.cloud.datalabel.executor.framework.modules.biz.bean.vos;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class DataLabelExeReturnVO {


    /**
     * 条件执行结果
     * */
    private  boolean flag;

    /**
     * id
     * */
    private String ruleId;

    /**
     * 名称
     * */
    private String ruleName;

    /**
     * 新增标签列表
     * */
    private String labelId;


    /**
     * 新增标签有效期
     * */
    private Integer labelValidityNum;



    /**
     * 疾病ids
     * */
    private String diseaseIds;


    /**
     * 初始数据时间分类
     * */
    private String initDateType;

    /**
     * 初始数据时间值
     * */
    private Integer initDateValue;


    /**
     * 日志ID
     * */
    private String logId;

    public DataLabelExeReturnVO(boolean flag,String ruleId,String ruleName,String labelId, Integer labelValidityNum ,
                                String diseaseIds,String initDateType,Integer initDateValue ,String logId){
        this.flag=flag;
        this.ruleId=ruleId;
        this.ruleName=ruleName;
        this.labelId=labelId;
        this.labelValidityNum=labelValidityNum;
        this.diseaseIds=diseaseIds;
        this.initDateType=initDateType;
        this.initDateValue=initDateValue;
        this.logId=logId;
    }


    public DataLabelExeReturnVO(){

    }


}
