package com.xxh.cloud.datalabel.executor.framework.modules.biz.convert;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.util.IdUtil;
import cn.hutool.core.util.StrUtil;

import java.util.Date;

public class DLELogIdUtils {


    private static String[][] DLRESIDS={
            {"1723525626943909888","1741488973651783680","01"},
            {"1741489896889397248","1752723150803972096","02"},
            {"1752723498541133824","1763232250906161152","03"},
            {"1763233139448492032","1774466394520694784","04"},
            {"1774467150120366080","1784434316773044225","05"},
            {"1784434317402189824","1790939363581243392","06"},
            {"1790939363849678848","1793169267542601728","07"},
            {"1793169267550990336","1797599903133085696","08"},
            {"1797599904043249664","1799623956865888256","09"},
            {"1799623962486255616","1801699804385259520","10"},
            {"1801699804779524096","1803634967017041920","11"},
            {"1803634969441349632","1805772644042551296","12"},
            {"1805772645057572864","1807836408506101760","13"},
            {"1807836408527073280","1809158946372857856","14"},
            {"1809158947404656640","1811299988719153152","15"},
            {"1811299988748513280","1812285942992875520","16"},
            {"1812285944741900288","1813094839521521664","17"},
            {"1813094839538298880","1813746719696236544","18"},
            {"1813746721143271424","1814924944757633024","19"},
            {"1814924948205350912","1822174364393943040","20"}
    };


    public static String getIdPrefix_ById(String id){
        if(id.contains("-")){
            return id.split("-")[0];
        }
        return "2401";
    }



    /**
     * 推理成功依据
     * */
    public static  String getDataLabelRuleExeSuccess2Prefix(String id){
        if(id.contains("-")){
            return id.split("-")[0];
        }
        for (int i = 0; i < DLRESIDS.length; i++) {
             String[] vals=DLRESIDS[i];
            if(DLELogIdUtils.between(vals[0],vals[1],id)){
                return vals[2];
            }
        }
        return "2401";

    }



    public static  String getIdPrefix_DataLabelRuleExe(){
        return DateUtil.format(new Date(),"yyMM");
    }



    /**
     *
     * */
    public static synchronized String getDataLabelRuleExeSuccessId(String idPrefix){
        if(StrUtil.isNotEmpty(idPrefix)){
            //return  StrUtil.format("{}-S{}",idPrefix, IdUtil.getSnowflake(5,1).nextIdStr());
            return  StrUtil.format("{}-S{}",idPrefix, IdUtil.simpleUUID().toUpperCase());
        }else {
            //return  StrUtil.format("{}-S{}","2401", IdUtil.getSnowflake(5,1).nextIdStr());
            return  StrUtil.format("{}-S{}","2401", IdUtil.simpleUUID().toUpperCase());
        }
    }


    /**
     *
     * */
    public static synchronized String getDataLabelRuleExeLogId(String idPrefix){
        if(StrUtil.isEmpty(idPrefix)){
           // return StrUtil.format("{}-E{}","2401", IdUtil.getSnowflake(7,1).nextIdStr());
            return StrUtil.format("{}-E{}","2401", IdUtil.simpleUUID().toUpperCase());
        }else {
          //  return StrUtil.format("{}-E{}",idPrefix, IdUtil.getSnowflake(7,1).nextIdStr());
            return StrUtil.format("{}-E{}",idPrefix, IdUtil.simpleUUID().toUpperCase());
        }
    }



    /**
     *
     * */
    public static  synchronized String getDataLabelRuleCallLogId(){
        String prefix=DLELogIdUtils.getIdPrefix_DataLabelRuleExe();
       // return StrUtil.format("{}-C{}",prefix, IdUtil.getSnowflake(6,1).nextIdStr());
        return StrUtil.format("{}-C{}",prefix, IdUtil.simpleUUID().toUpperCase());
    }



    public static  boolean between(String start ,String end ,String value){
        if(value.compareTo(start) >= 0 && value.compareTo(end) <= 0){
            return true;
        }else {
           return false;
        }
    }



    public static void main(String[] args) {
//        String str="2408-123456";
//        System.out.println(DLELogIdUtils.getIdPrefix_ById(str));


//        System.out.println(DLELogIdUtils.between("050","080","600"));
//        if(val.compareTo(start) >= 0 && val.compareTo(end) <= 0){
//            System.out.println("区间范围内");
//        }else {
//            System.out.println("-end------");
//        }


        String id= DLELogIdUtils.getDataLabelRuleExeLogId("2403");
        System.out.println(id);
        System.out.println(id.length());



    }



}
