package com.xxh.cloud.datalabel.executor.framework.modules.biz.service;

import com.xxh.cloud.datalabel.executor.framework.modules.base.entity.DataLabelRuleExeLog;
import com.xxh.cloud.datalabel.executor.framework.modules.base.entity.DataLabelRuleExeSuccessInfo;
import com.xxh.cloud.datalabel.executor.framework.modules.biz.bean.dto.DataLabelRuleCallLogAddDTO;
import com.xxh.cloud.datalabel.executor.framework.modules.biz.bean.vos.DataLabelExecuteLogVO;

import java.util.List;

public interface DataLabelExecuteLogBizService {




    /**
     * 新增调用日志
     * */
    public String saveDlrCallLog(DataLabelRuleCallLogAddDTO params);

    /**
     * 新增执行日志
     * */
    public void saveDlrExeLogBatch(String idPrefix, List<DataLabelRuleExeLog> list);


    /**
     * 新增执行成功信息
     * */
    public void saveDLRExeSuccessBatch(String idPrefix,List<DataLabelRuleExeSuccessInfo> list);


    public DataLabelExecuteLogVO getDataLabelExecuteLogById(String id);

}
