package com.xxh.cloud.datalabel.executor.framework.modules.biz.utils;

import com.xxh.cloud.datalabel.executor.framework.modules.base.entity.DataLabelRuleExeLog;
import com.xxh.cloud.datalabel.executor.framework.modules.biz.bean.dto.DataLabelExecutorExtParamDTO;
import com.xxh.cloud.datalabel.executor.framework.modules.biz.convert.DLELogIdUtils;

import java.util.Date;

public class DataLabelRuleExeLogUtils {

    public static DataLabelRuleExeLog getDataLabelRuleExeLog(String idPrefix ,String ruleId, DataLabelExecutorExtParamDTO params){

        DataLabelRuleExeLog entity=new DataLabelRuleExeLog();
        entity.setId(DLELogIdUtils.getDataLabelRuleExeLogId(idPrefix));
        entity.setMainBatchId(params.getCallLogId());
        entity.setPatientId(params.getPatientId());
        entity.setRuleId(ruleId);
        entity.setStartDt(new Date());
        entity.setPatientDataDt(params.getPatientDataDt());
//        entity.setEndDt();
//        entity.setResultStatus();
//        entity.setResultRemark();
        return entity;
    }


}
