package com.xxh.cloud.datalabel.executor.framework.modules.config.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.datalabel.executor.framework.modules.config.bean.DataLabelConfigDataGetBO;
import com.xxh.cloud.datalabel.executor.framework.modules.config.bean.DataLabelConfigRelGetBO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface DataLabelConfigDataGetMapper {


    @Select("SELECT id , category_id as categoryId , project_code as projectCode , version_no as versionNo, name , type ,status ,disease_ids as diseaseIds, " +
            " config , label_ids as labelIds , init_date_type as initDateType , init_date_value as initDateValue , label_validity_num as labelValidityNum " +
            " FROM r_data_label_rule_config ${ew.customSqlSegment} ")
    public DataLabelConfigDataGetBO getDataLabelConfig(@Param(Constants.WRAPPER) QueryWrapper<DataLabelConfigDataGetBO> queryWrapper);




    @Select("SELECT id , category_id as categoryId , project_code as projectCode , version_no as versionNo, name , type ,status ,disease_ids as diseaseIds, " +
            " config , label_ids as labelIds , init_date_type as initDateType , init_date_value as initDateValue , label_validity_num as labelValidityNum " +
            " FROM r_data_label_rule_config ${ew.customSqlSegment} ")
    public List<DataLabelConfigDataGetBO> getDataLabelConfigList(@Param(Constants.WRAPPER) QueryWrapper<DataLabelConfigDataGetBO> queryWrapper);


    @Select("SELECT id FROM r_data_label_rule_config ${ew.customSqlSegment} ")
    public List<DataLabelConfigDataGetBO> getDataLabelConfigIdList(@Param(Constants.WRAPPER) QueryWrapper<DataLabelConfigDataGetBO> queryWrapper);



    //SELECT  ,config_id  FROM
    @Select("SELECT condition_one_code as varCode , config_id as configId FROM r_data_label_rule_rel_info ${ew.customSqlSegment} ")
    public List<DataLabelConfigRelGetBO> getDataLabelConfigRelList(@Param(Constants.WRAPPER) QueryWrapper<DataLabelConfigRelGetBO> queryWrapper);



}
