package com.xxh.cloud.datalabel.executor.framework.modules.demo.d1;

import java.util.concurrent.*;

/**
 * CompletionService
 * */
public class CompletionServiceDemo {

    public static void main(String[] args) throws InterruptedException, ExecutionException {

        ExecutorService executor= Executors.newFixedThreadPool(10);
        ExecutorCompletionService<Integer> completionService=new ExecutorCompletionService<>(executor);

        for (int i = 0; i < 10; i++) {
            completionService.submit(new TaskCallable(i));
        }

        for (int i = 0; i < 10; i++) {
            System.out.println(completionService.take().get());
        }


    }
}
