package com.xxh.cloud.datalabel.executor.framework.modules.demo.d1;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;

/**
 *  FutureTask
 * */
public class FutureTaskDemo {


    public static void main(String[] args) throws ExecutionException, InterruptedException {
        List<Future<Integer>> tasks=new ArrayList<>();
        ExecutorService executor= Executors.newFixedThreadPool(10);

        for (int i = 0; i < 10; i++) {
            Future<Integer> task= executor.submit(new TaskCallable(i));
            tasks.add(task);
        }

//        System.out.println("------------------执行完成，开始取值----------------------");


        for (Future<Integer> task:tasks){
            System.out.println(task.get());
        }


    }


}
