package com.xxh.cloud.rule.basic.api.bean.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class MethodExecuteParamDTO {

    @ApiModelProperty(value = "方法参数编号")
    private String paramCode;

    @ApiModelProperty(value = "方法参数名称")
    private String paramName;

    @ApiModelProperty(value = "方法参数类型")
    private String paramType;

    @ApiModelProperty("单值")
    private Object val;

    @ApiModelProperty("多值")
    private List<Object> valList;


    public MethodExecuteParamDTO(String paramCode,String paramName,String paramType,Object val){
        this.paramCode=paramCode;
        this.paramName=paramName;
        this.paramType=paramType;
        this.val=val;
    }


    public MethodExecuteParamDTO(String paramCode,String paramName,String paramType){
        this.paramCode=paramCode;
        this.paramName=paramName;
        this.paramType=paramType;
    }




    public MethodExecuteParamDTO(){

    }


    public void addVal(Object item){
        if(this.valList==null){
            this.valList=new ArrayList<>();
        }
        if(item!=null){
            this.valList.add(item);
        }
    }

}
