package com.xxh.cloud.rule.basic.constant;


/**
 *  工作流节点任务处理状态定义
 * */
public enum WorkFlowNodeHandleStatusEnum {


    Success("success","提交"),
    Kill("kill","终止"),

    Ignore("ignore","忽略")



//    Return("return","回退"),
//    Copy("copy","抄送"),

//    Transfer("transfer","转交"),

//    Draft("draft","草稿"),

    ;

    private String code;
    private String msg;
    private WorkFlowNodeHandleStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
    public String getCode() {
        return code;
    }
    public String getMsg() {
        return msg;
    }
}
