package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 *
 * */
@Getter
@Setter
public class RoamItemDwdCollectFeeRecord {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "就诊记录号")
    private String visitId;

    @ApiModelProperty(value = "收费项目名称(标准)")
    private String itemNameStandard;

    @ApiModelProperty(value = "收费项目编号(标准)")
    private String itemCodeStandard;

    @ApiModelProperty(value = "科室名称(标准)")
    private String departmentNameStandard;

    @ApiModelProperty(value = "科室编码(标准)")
    private String departmentCodeStandard;

    @ApiModelProperty(value = "收费金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "收费时间")
    private Date feeDate;

    @ApiModelProperty(value = "状态(标准)")
    private String statusStandard;

    @ApiModelProperty(value = "场景分类(标准)")
    private String typeStandard;

    @ApiModelProperty(value = "数据更新时间")
    private Date opDate;


}
