package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 电子病历诊断
 * */
@Getter
@Setter
public class RoamItemDwdEmrSymptom {




    /**
     * 编号
     * */
    private String code;

    /**
     * 名称
     * */
    private String name;

    /**
     * 部位
     * */
    private String part;

    /**
     * 持续时间
     * */
    private Integer duration;


    /**
     * 持续时间-单位
     * */
    private String durationUnit;


    /**
     * 单次时间
     * */
    private Integer oneTime;

    /**
     * 单次时间-单位
     * */
    private String oneTimeUnit;

    /**
     * 部门编号
     * */
    private String deptCode;

    /**
     * 部门名称
     * */
    private String deptName;

    @ApiModelProperty(value = "病历时间")
    private Date emrData;



}
