package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 检查报告
 * */
@Getter
@Setter
public class RoamItemDwdExamineReport {


    @ApiModelProperty(value = "患者编号")
    private String patientId;


    @ApiModelProperty(value = "id")
    private String id;


//    @ApiModelProperty(value = "申请流水号")
//    private String applyId;


    @ApiModelProperty(value = "就诊记录号")
    private String visitId;


    @ApiModelProperty(value = "住院号")
    private String inPatientNo;

    @ApiModelProperty(value = "申请科室名称(原始)")
    private String departmentNameRaw;


    @ApiModelProperty(value = "申请科室名称(标准)")
    private String departmentNameStandard;


    @ApiModelProperty(value = "申请科室编码(原始)")
    private String departmentCodeRaw;

    @ApiModelProperty(value = "申请科室编码(标准)")
    private String departmentCodeStandard;


    @ApiModelProperty(value = "报告时间")
    private Date reportsTime;

    @ApiModelProperty(value = "申请时间")
    private Date applyTime;

    @ApiModelProperty(value = "检查时间")
    private Date inspectTime;

//    @ApiModelProperty(value = "场景分类(标准)")
//    private String typeStandard;
//
//    @ApiModelProperty(value = "检查类别(标准)")
//    private String examineTypeStandard;


    @ApiModelProperty(value = "报告名称(原始)")
    private String reportNameRaw;


    @ApiModelProperty(value = "报告名称(标准)")
    private String reportNameStandard;


//    @ApiModelProperty(value = "检查部位名称(原始)")
//    private String bodyPartNameRaw;
//
//    @ApiModelProperty(value = "检查部位编号(原始)")
//    private String bodyPartCodeRaw;
//
//    @ApiModelProperty(value = "检查部位名称(标准)")
//    private String bodyPartNameStandard;
//
//    @ApiModelProperty(value = "检查部位编号(标准)")
//    private String bodyPartCodeStandard;


    @ApiModelProperty(value = "检查所见(标准)")
    private List<String> reportDescriptionStandard;

    @ApiModelProperty(value = "检查结果(标准)")
    private List<String> reportResultStandard;


    @ApiModelProperty(value = "对象类型")
    private String ot;

    @ApiModelProperty(value = "活动编号")
    private String actNo;



}
