package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * 手术明细申请
 * */
@Getter
@Setter
public class RoamItemDwdOperationApplyItem {


    @ApiModelProperty(value = "手术名称(原始)")
    private String nameRaw;

    @ApiModelProperty(value = "手术名称(标准)")
    private String nameStandard;

    @ApiModelProperty(value = "手术编码(原始)")
    private String codeRaw;

    @ApiModelProperty(value = "手术编码(标准)")
    private String codeStandard;

    @ApiModelProperty(value = "预计手术时长")
    private String estOptDuration;

    @ApiModelProperty(value = "手术类别(原始)")
    private String operationTypeRaw;

    @ApiModelProperty(value = "手术类别(标准)")
    private String operationTypeStandard;

    @ApiModelProperty(value = "手术等级(原始)")
    private String operationLevelRaw;

    @ApiModelProperty(value = "手术等级(标准)")
    private String operationLevelStandard;

    @ApiModelProperty(value = "麻醉方法(原始)")
    private String anaesthesiaMethodRaw;

    @ApiModelProperty(value = "麻醉方法(标准)")
    private String anaesthesiaMethodStandard;

    @ApiModelProperty(value = "数据更新时间(原始)")
    private Date dataUpdateDate;


}
