package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 医嘱用药明细 :后续待优化
 * */
@Getter
@Setter
public class RoamItemDwdRecipeMedicineItem {


    @ApiModelProperty(value = "申请科室名称(原始)")
    private String departmentNameRaw;

    @ApiModelProperty(value = "申请科室编码(原始)")
    private String departmentCodeRaw;

    @ApiModelProperty(value = "申请科室名称(标准)")
    private String departmentNameStandard;

    @ApiModelProperty(value = "申请科室编码(标准)")
    private String departmentCodeStandard;

    @ApiModelProperty(value = "付费时间")
    private Date payTime;

    @ApiModelProperty(value = "处方时间")
    private Date recipeTime;

    @ApiModelProperty(value = "药品名称(原始)")
    private String nameRaw;

    @ApiModelProperty(value = "药品名称(标准)")
    private String nameStandard;

    @ApiModelProperty(value = "药品编码(原始)")
    private String codeRaw;

    @ApiModelProperty(value = "药品编码(标准)")
    private String codeStandard;


    @ApiModelProperty(value = "药物分类(原始)")
    private String medicineClassRaw;

    @ApiModelProperty(value = "药物分类(标准)")
    private String medicineClassStandard;


    @ApiModelProperty(value = "药品规格")
    private String medicineSpec;


    @ApiModelProperty(value = "单次用药单位(原始)")
    private String doseUnitRaw;

    @ApiModelProperty(value = "单次用药单位(标准)")
    private String doseUnitStandard;

    @ApiModelProperty(value = "单次用药数量")
    private String eachQuantity;

    @ApiModelProperty(value = "用药天数")
    private String inspectResult;

    @ApiModelProperty(value = "用药频次代码(原始)")
    private String frequencyCodeRaw;

    @ApiModelProperty(value = "用药频次代码(标准)")
    private String frequencyCodeStandard;

    @ApiModelProperty(value = "用药频次名称(原始)")
    private String frequencyNameRaw;

    @ApiModelProperty(value = "用药频次名称(标准)")
    private String frequencyNameStandard;


}
