package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;
/**
 * 病理报告 【暂时不支持，病理合并到检查中】
 * */
@Deprecated
@Getter
@Setter
public class RoamItemDwdRecipePathologyReport {




    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "患者编号")
    private String patientId;


    @ApiModelProperty(value = "就诊记录号")
    private String visitId;



    @ApiModelProperty(value = "申请科室名称(标准)")
    private String departmentNameStandard;


    @ApiModelProperty(value = "申请科室编码(标准)")
    private String departmentCodeStandard;


    @ApiModelProperty(value = "报告时间")
    private Date reportsTime;


    @ApiModelProperty(value = "样本送检时间")
    private Date deliveryTime;


    @ApiModelProperty(value = "样本接收时间")
    private Date collectTime;


    @ApiModelProperty(value = "申请时间")
    private Date applyTime;


    @ApiModelProperty(value = "检查时间")
    private Date inspectTime;




    @ApiModelProperty(value = "场景分类(标准)")
    private String typeStandard;




    @ApiModelProperty(value = "检查类别(标准)")
    private String examineTypeStandard;



    @ApiModelProperty(value = "报告名称(标准)")
    private String reportNameStandard;



    @ApiModelProperty(value = "检查部位(标准)")
    private String bodyPartNameStandard;



    @ApiModelProperty(value = "检查部位编号(标准)")
    private String bodyPartCodeStandard;



    @ApiModelProperty(value = "报告描述")
    private String description;


    @ApiModelProperty(value = "初步结论")
    private List<String> conclusion;


    @ApiModelProperty(value = "病理诊断编码(标准)")
    private List<String> diagnosisCodeStandard;


    @ApiModelProperty(value = "病理诊断项目内容(标准)")
    private List<String> diagnosisNameStandard;

    @ApiModelProperty(value = "数据操作时间")
    private Date opDate;


}
