package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 治疗明细
 * */
@Getter
@Setter
public class RoamItemDwdRecipeTherapyItem {


    @ApiModelProperty(value = "项目名称(原始)")
    private String nameRaw;

    @ApiModelProperty(value = "项目名称(标准)")
    private String nameStandard;

    @ApiModelProperty(value = "项目编码(原始)")
    private String codeRaw;

    @ApiModelProperty(value = "项目编码(标准)")
    private String codeStandard;

    @ApiModelProperty(value = "父关联处方id")
    private String parentRecipeId;

    @ApiModelProperty(value = "状态(原始)")
    private String statusRaw;

    @ApiModelProperty(value = "状态(标准)")
    private String statusStandard;

    @ApiModelProperty(value = "数据更新时间(原始)")
    private Date dataUpdateDate;


}
