package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 挂号
 * */
@Getter
@Setter
public class RoamItemDwdRegisterRecord {


    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "挂号ID")
    private String id;


    @ApiModelProperty(value = "就诊记录号")
    private String visitId;


    @ApiModelProperty(value = "挂号科室名称(原始)")
    private String departmentNameRaw;


    @ApiModelProperty(value = "挂号科室名称(标准)")
    private String departmentNameStandard;


    @ApiModelProperty(value = "挂号科室编码(原始)")
    private String departmentCodeRaw;


    @ApiModelProperty(value = "挂号科室编码(标准)")
    private String departmentCodeStandard;


    @ApiModelProperty(value = "挂号医生编号")
    private String doctorCode;


    @ApiModelProperty(value = "挂号医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "挂号级别编号(原始)")
    private String regLevelCodeRaw;


    @ApiModelProperty(value = "挂号级别名称(原始)")
    private String regLevelNameRaw;


    @ApiModelProperty(value = "挂号级别编号(标准)")
    private String regLevelCodeStandard;


    @ApiModelProperty(value = "挂号方式(原始)")
    private String regWayRaw;

    @ApiModelProperty(value = "挂号方式(标准)")
    private String regWayStandard;

    @ApiModelProperty(value = "挂号时间")
    private Date regDate;


    @ApiModelProperty(value = "预约时间")
    private Date reserveDate;


    @ApiModelProperty(value = "预约方式(原始)")
    private String reserveWayRaw;


    @ApiModelProperty(value = "预约方式(标准)")
    private String reserveWayStandard;


    @ApiModelProperty(value = "场景分类(原始)")
    private String sceneTypeRaw;


    @ApiModelProperty(value = "场景分类(标准)")
    private String sceneTypeStandard;

    @ApiModelProperty(value = "对象类型")
    private String ot;

}
