package com.xxh.cloud.rule.basic.context.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 就诊记录
 * */
@Getter
@Setter
public class RoamItemDwdVisitRecord {


    @ApiModelProperty(value = "就诊记录号")
    private String id;

    @ApiModelProperty(value = "患者编号")
    private String patientId;

    @ApiModelProperty(value = "患者性别(标准)")
    private String patientGenderStandard;

    @ApiModelProperty(value = "科室名称(原始)")
    private String departmentNameRaw;

    @ApiModelProperty(value = "科室名称(标准)")
    private String departmentNameStandard;

    @ApiModelProperty(value = "科室编码(原始)")
    private String departmentCodeRaw;

    @ApiModelProperty(value = "标准科室编码")
    private String departmentCodeStandard;

    @ApiModelProperty(value = "医生编号")
    private String doctorCode;

    @ApiModelProperty(value = "医生姓名")
    private String doctorName;

    @ApiModelProperty(value = "就诊时间")
    private Date visitDate;


    @ApiModelProperty(value = "就诊类型(原始)")
    private String visitTypeRaw;


    @ApiModelProperty(value = "就诊类型(标准)")
    private String visitTypeStandard;

    @ApiModelProperty(value = "就诊方式(原始)")
    private String visitWayRaw;

    @ApiModelProperty(value = "就诊方式(标准)")
    private String visitWayStandard;

    @ApiModelProperty(value = "场景分类(原始)")
    private String sceneTypeRaw;


    @ApiModelProperty(value = "场景分类(标准)")
    private String sceneTypeStandard;


    @ApiModelProperty(value = "对象类型")
    private String ot;


}
