package com.xxh.cloud.rule.framework.modules.action.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoListDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoQueryDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoSaveDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.dto.RuleActionInfoUpdateDTO;
import com.xxh.cloud.rule.framework.modules.action.entity.vos.RuleActionVO;

import java.util.List;

public interface RuleActionInfoBizService {

    public PageData<RuleActionVO> query(RuleActionInfoQueryDTO params);

    public List<RuleActionVO> list(RuleActionInfoListDTO params);

    public RuleActionVO save(RuleActionInfoSaveDTO params);

    public RuleActionVO update(RuleActionInfoUpdateDTO params);

    public void delById(String id);

    public RuleActionVO infoById(String id);

    public RuleActionVO info2NullById(String id);

    public RuleActionVO infoFullById(String id);
}
