package com.xxh.cloud.rule.framework.modules.action.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 动作方法表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_action_method_info")
public class RuleActionMethodInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    /**
     * 动作ID
     */
     @ApiModelProperty(value = "动作ID")
      private String actionId;


    /**
     * 编号
     */
     @ApiModelProperty(value = "编号")
      private String code;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 调用限制分类
     */
     @ApiModelProperty(value = "调用限制分类")
      private String callLimitType;

    /**
     * 调用限制配置
     */
     @ApiModelProperty(value = "调用限制配置")
      private String callLimitConfig;






}
