package com.xxh.cloud.rule.framework.modules.action.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 动作方法参数表
 * </p>
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_action_method_parameter_info")
public class RuleActionMethodParameterInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 动作ID
     */
     @ApiModelProperty(value = "动作ID")
      private String actionId;

    /**
     * 方法ID
     */
     @ApiModelProperty(value = "方法ID")
      private String methodId;


    @ApiModelProperty(value = "方法编号")
    private String methodCode;

    /**
     * 编号
     */
     @ApiModelProperty(value = "编号")
      private String code;

    /**
     * 名称
     */
     @ApiModelProperty(value = "名称")
      private String name;

    /**
     * 备注
     */
     @ApiModelProperty(value = "备注")
      private String remark;

    /**
     * 数据类型
     */
     @ApiModelProperty(value = "数据类型")
      private String type;

    /**
     * 是否必填
     */
     @ApiModelProperty(value = "是否必填")
      private String isNeed;

    /**
     * 参数配置
     */
     @ApiModelProperty(value = "参数配置")
      private String paraCfg;

     /**
      * 参数输入值类型
      * */
    @ApiModelProperty(value = "参数输入值类型")
     private String paraInputValType;


    /**
     * 默认值
     */
    @ApiModelProperty(value = "默认值")
    private String defVal;

    /**
     * 是否显示
     */
    @ApiModelProperty(value = "是否显示")
    private String isShow;




}
