package com.xxh.cloud.rule.framework.modules.action.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class RuleActionInfoUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;


    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类",required = true)
    @NotEmpty(message = "分类不能为空")
    private String type;


    @ApiModelProperty(value = "备注")
    private String remark;
}
