package com.xxh.cloud.rule.framework.modules.action.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;

@Getter
@Setter
public class RuleActionMethodParamBO {


    @ApiModelProperty(value = "编号",required = true)
    @NotEmpty(message = "编号不能为空")
    private String code;

    @ApiModelProperty(value = "名称",required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "数据类型(MetadataStandardTypeEnum)",required = true)
    @NotEmpty(message = "数据类型不能为空")
    private String type;


    @ApiModelProperty(value = "是否必填(YN)",required = true)
    @NotEmpty(message = "是否必填不能为空")
    private String isNeed;


    @ApiModelProperty(value = "参数配置")
    private RuleActionMethodParamConfigBO paraCfg;


    @ApiModelProperty(value = "参数输入值类型(枚举)")
    private String paraInputValType;



    @ApiModelProperty(value = "默认值")
    private String defVal;


    @ApiModelProperty(value = "是否显示(YN)")
    private String isShow;

}
