package com.xxh.cloud.rule.framework.modules.action.entity.vos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RuleActionMethodParameterVO {


    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "动作ID")
    private String actionId;

    @ApiModelProperty(value = "方法ID")
    private String methodId;

    @ApiModelProperty(value = "方法编号")
    private String methodCode;

    @ApiModelProperty(value = "编号")
    private String code;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "数据类型")
    private String type;

    @ApiModelProperty(value = "是否必填")
    private String isNeed;

    @ApiModelProperty(value = "参数配置")
    private RuleActionMethodParamConfigVO paraCfg;

    @ApiModelProperty(value = "参数输入值类型")
    private String paraInputValType;

    @ApiModelProperty(value = "默认值")
    private String defVal;

    @ApiModelProperty(value = "是否显示")
    private String isShow;



}
