package com.xxh.cloud.rule.framework.modules.action.entity.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class RuleActionMethodVO {



    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "项目编号")
    private String projectCode;

    @ApiModelProperty(value = "动作ID")
    private String actionId;

    @ApiModelProperty(value = "编号")
    private String code;


    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "备注")
    private String remark;


    @ApiModelProperty("创建者")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("更新者")
    private String updater;

    @ApiModelProperty("更新时间")
    private Date updateDate;



    //===================================
    @ApiModelProperty(value = "动作名称")
    private String actionName;

    @ApiModelProperty(value = "创建用户名")
    private String creatorUserName;

    @ApiModelProperty(value = "修改用户名")
    private String updaterUserName;

    @ApiModelProperty(value = "创建用户真实名称")
    private String creatorRealName;

    @ApiModelProperty(value = "修改用户真实名称")
    private String updaterRealName;

    @ApiModelProperty(value = "动作方法参数")
    private List<RuleActionMethodParameterVO> params;


    public void addParam(RuleActionMethodParameterVO param){
        if(this.params==null){
            this.params=new ArrayList<>();
        }
        if(params!=null){
            this.params.add(param);
        }
    }

}
