package com.xxh.cloud.rule.framework.modules.log.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 规则调用动作日志信息表
 * </p>
 */
@Deprecated
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_action_log_info")
public class RuleActionLogInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 动作编号
     */
     @ApiModelProperty(value = "动作编号")
      private String actCode;

    /**
     * 方法编号
     */
     @ApiModelProperty(value = "方法编号")
      private String methodCode;

    /**
     * 调用内容
     */
     @ApiModelProperty(value = "调用内容")
      private String inContent;

    /**
     * 返回内容
     */
     @ApiModelProperty(value = "返回内容")
      private String outContent;

    /**
     * 调用状态
     */
     @ApiModelProperty(value = "调用状态")
      private String status;

    /**
     * 调用开始时间
     */
     @ApiModelProperty(value = "调用开始时间")
      private Date callDateStart;

    /**
     * 调用截止时间
     */
     @ApiModelProperty(value = "调用截止时间")
      private Date callDateEnd;

    /**
     * 扩展1
     */
     @ApiModelProperty(value = "扩展1")
      private String attrOne;

    /**
     * 扩展2
     */
     @ApiModelProperty(value = "扩展2")
      private String attrTwo;


}
