package com.xxh.cloud.rule.framework.modules.log.entity.dos;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xxh.cloud.framework.common.mybatisplus.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 规则执行明细日志表
 * </p>
 */
@Deprecated
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_exe_log_item_info")
public class RuleExeLogItemInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 执行日志ID
     */
     @ApiModelProperty(value = "执行日志ID")
      private String exeLogId;

    /**
     * 规则ID
     */
     @ApiModelProperty(value = "规则ID")
      private String ruleId;

    /**
     * 执行结果
     */
     @ApiModelProperty(value = "执行结果")
      private String exeResult;

    /**
     * 执行结果路径
     */
     @ApiModelProperty(value = "执行结果路径")
      private String exeResultPath;

    /**
     * 执行时间
     */
     @ApiModelProperty(value = "执行时间")
      private Date exeDate;


}
