package com.xxh.cloud.rule.framework.modules.rule.biz;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.rule.framework.modules.rule.entity.dto.*;
import com.xxh.cloud.rule.framework.modules.rule.entity.vos.RuleConfigVO;

import java.util.List;

public interface RuleConfigInfoBizService {



    public PageData<RuleConfigVO> query(RuleConfigInfoQueryDTO params);

    public List<RuleConfigVO> list(RuleConfigInfoListDTO params);

    public RuleConfigVO save(RuleConfigInfoSaveDTO params);

    public RuleConfigVO update(RuleConfigInfoUpdateDTO params);

    public RuleConfigVO updateStatus(RuleConfigInfoUpdateStatusDTO params);

    public RuleConfigVO infoById(String id);

    public void delById(String id);

    public RuleConfigVO copy(RuleConfigInfoCopyDTO params);



}
