package com.xxh.cloud.rule.framework.modules.rule.entity.dto;

import com.xxh.cloud.rule.core.entity.flow.XXFlowNodeBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@Getter
@Setter
public class DecisionFlowConfigSave2EditDTO {

    @ApiModelProperty(value = "规则配置ID" ,required = true)
    @NotEmpty(message = "规则配置ID不能为空")
    private String ruleConfigId;

    @ApiModelProperty(value = "规则配置" ,required = true)
    @NotNull(message = "规则配置不能为空")
    private XXFlowNodeBO config;



}
