package com.xxh.cloud.rule.framework.modules.rule.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Getter
@Setter
public class RuleConfigInfoUpdateDTO {

    @ApiModelProperty(value = "id",required = true)
    @NotEmpty(message = "ID不能为空")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "分类编号")
    private String categoryId;


    @ApiModelProperty(value = "触发事件ID")
    private String eventId;

    @ApiModelProperty(value = "关联业务分类(RuleBizTypeEnum)")
    private String relType;

    @ApiModelProperty(value = "关联业务二级分类[定义]")
    private String relTwoType;


    @ApiModelProperty(value = "业务ID")
    private List<String> relId;


    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "顺序")
    private Integer orders;

    @ApiModelProperty(value = "来源")
    private String source;

    @ApiModelProperty(value = "扩展字段1")
    private String extendOne;

    @ApiModelProperty(value = "扩展字段2")
    private String extendTwo;

    @ApiModelProperty(value = "扩展字段3")
    private String extendThree;



}
