package com.xxh.cloud.rule.framework.modules.rule.entity.vos;

import com.xxh.cloud.framework.common.constant.YN;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class CondtionOneDataVO {

    @ApiModelProperty(value = "编号")
    private String code;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "是否可执行(YN)")
    private String process;

    @ApiModelProperty(value = "是否单选(Y:单 N:多)")
    private String one =YN.YES.getCode();

    @ApiModelProperty(value = "子")
    private List<CondtionOneDataVO> children;

    public CondtionOneDataVO(String code,String name){
        this.code=code;
        this.name=name;
        this.process= YN.YES.getCode();
        this.one=YN.YES.getCode();
    }

    public CondtionOneDataVO(String code,String name,YN one){
        this.code=code;
        this.name=name;
        this.process= YN.YES.getCode();
        this.one=one.getCode();
    }

    public CondtionOneDataVO(String code,String name,YN process,YN one){
        this.code=code;
        this.name=name;
        this.process=process.getCode();
        this.one=one.getCode();
                //.getCode();
    }

    public CondtionOneDataVO(){

    }


    public void addChildren(CondtionOneDataVO item){
        if(this.children==null){
            this.children=new ArrayList<>();
        }
        if(item!=null){
            this.children.add(item);
        }
    }

}
