package com.xxh.cloud.rule.framework.modules.rule.entity.vos;

import com.xxh.cloud.rule.core.entity.flow.XXFlowNodeBO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class RuleConfigBackUpVO {



    @ApiModelProperty(value = "id")
    private String id;


    @ApiModelProperty(value = "项目编号")
    private String projectCode;


    @ApiModelProperty(value = "规则配置ID")
    private String ruleConfigId;


    @ApiModelProperty(value = "规则配置版本号")
    private Integer ruleVersionNo;


    @ApiModelProperty(value = "规则分类id")
    private String categoryId;


    @ApiModelProperty(value = "规则名称")
    private String name;


    @ApiModelProperty(value = "规则分类")
    private String type;


    @ApiModelProperty(value = "引擎业务分类")
    private String bizType;


    @ApiModelProperty(value = "触发事件ID")
    private String eventId;


    @ApiModelProperty(value = "规则关联业务分类")
    private String relType;


    @ApiModelProperty(value = "关联业务二级分类")
    private String relTwoType;


    @ApiModelProperty(value = "规则关联业务ID")
    private List<String> relId;


    @ApiModelProperty(value = "规则来源")
    private String source;


    @ApiModelProperty(value = "备份备注")
    private String backUpRemark;



    @ApiModelProperty(value = "规则配置")
    private XXFlowNodeBO config;


}
