package com.xxh.cloud.rule.execute.inference.client.api;

import com.xxh.cloud.rule.execute.inference.client.bean.bos.InferenceExecuteMethodBO;
import com.xxh.cloud.rule.execute.inference.client.bean.dto.InferenceExecuteBy2MQDTO;
import com.xxh.cloud.rule.execute.inference.client.bean.dto.InferenceExecuteBy2OnCallDTO;
import com.xxh.cloud.rule.execute.inference.client.bean.dto.InferenceExecuteBy2OnMQDTO;
import com.xxh.cloud.rule.execute.inference.client.bean.dto.InferenceExecuteBy2ReturnDTO;

import java.util.List;

/**
 * 推理引擎
 * */
public interface RuleExecute2InferenceClientService {


    /**
     * 执行,返回执行动作
     * */
    public List<InferenceExecuteMethodBO> executeById2Return(InferenceExecuteBy2ReturnDTO params);

    /**
     * 执行,回调执行动作方法
     * */
    public void executeById2OnCall(InferenceExecuteBy2OnCallDTO params);

    /**
     * 执行,回调MQ方法
     * */
    public void executeById2OnMQ(InferenceExecuteBy2OnMQDTO params);

    /**
     * 执行,返回执行动作发送到MQ
     * */
    public void executeById2MQ(InferenceExecuteBy2MQDTO params);

}
