package com.xxh.cloud.rule.execute.inference.client.bean.bos;

import cn.hutool.core.collection.CollUtil;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class WorkFlowExecuteProcessAllResultBO {


    private List<WorkFlowExecuteResultBO> startResultList;


    private List<WorkFlowExecuteResultBO> triggerResultList;


    public WorkFlowExecuteProcessAllResultBO(){

    }



    public void addStartResult(WorkFlowExecuteResultBO item){
        if(this.startResultList==null){
            this.startResultList=new ArrayList<>();
        }
        if(item!=null){
            this.startResultList.add(item);
        }
    }

    public void addStartResult(List<WorkFlowExecuteResultBO> items){
        if(CollUtil.isNotEmpty(items)){
            items.forEach(item->{
                this.addStartResult(item);
            });
        }
    }


    public void addTriggerResult(WorkFlowExecuteResultBO item){
        if(this.triggerResultList==null){
            this.triggerResultList=new ArrayList<>();
        }
        if(item!=null){
            this.triggerResultList.add(item);
        }
    }


    public void addTriggerResult(List<WorkFlowExecuteResultBO> items){
        if(CollUtil.isNotEmpty(items)){
            items.forEach(item->{
                this.addTriggerResult(item);
            });
        }
    }




}
