package com.xxh.cloud.rule.core.context;

import lombok.Getter;
import lombok.Setter;

/**
 * 引用变量定义
 * */
@Getter
@Setter
public class XXRuleVariableBO {

    /**
     *  type: c 条件 , f 动作方法
     * */
    private String type;

    /**
     * 动作 ：动作ID
     * */
    private String actionId;

    /**
     * 动作 ：方法编号
     * */
    private String methodCode;


    /**
     * 条件 ： 一级分类编号
     * */
    private String contionOneCode;


    /**
     * 条件 ： 一级分类名称
     * */
    private String contionOneName;

    /**
     * 参数分类（变量、常量）
     * */
    private String paramType;

    /**
     * 参数编号
     * */
    private String paramCode;

    /**
     * 参数名称
     * */
    private String paramName;


    /**
     * 方法参数
     * */
    public XXRuleVariableBO(String actionId, String methodCode, String paramType, String paramCode, String paramName){
        this.type="f";
        this.actionId=actionId;
        this.methodCode=methodCode;
        this.paramType=paramType;
        this.paramCode=paramCode;
        this.paramName=paramName;
    }

    /**
     * 条件参数
     * */
    public XXRuleVariableBO(String type, String contionOneName, String contionOneCode ,String paramType, String paramCode, String paramName){
        this.type="c";
        this.contionOneCode=contionOneCode;
        this.contionOneName=contionOneName;
        this.paramType=paramType;
        this.paramCode=paramCode;
        this.paramName=paramName;
    }

    public XXRuleVariableBO(){

    }

}
