package com.xxh.cloud.rule.core.entity.base;

import com.xxh.cloud.rule.core.constant.ValueTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 叶子节点 - 方法参数
 * */
@Getter
@Setter
public class MethodBaseParamBean {


    @ApiModelProperty(value = "方法参数编号")
    private String paramCode;

    @ApiModelProperty(value = "方法参数名称")
    private String paramName;

    @ApiModelProperty(value = "方法参数类型")
    private String paramType;

    @ApiModelProperty("值分类 - ValueTypeEnum ")
    private String ovtype = ValueTypeEnum.VT_Fixed.getCode();

    @ApiModelProperty("值二级分类")
    private String ovtwoType;

    @ApiModelProperty("单值")
    private ValueBean ovo;

    @ApiModelProperty("多值")
    private List<ValueBean> ovs;




}
