package com.xxh.cloud.rule.core.entity.label;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import lombok.Getter;
import lombok.Setter;

import java.util.HashSet;
import java.util.Set;


@Getter
@Setter
public class XXLabelRuleBO {




    /**
     * id
     * */
    private String id;

    /**
     * 分类ID
     * */
    private String categoryId;

    /**
     * 规则所属应用号
     * */
    private String projectCode;

    /**
     * 规则版本号
     * */
    private Integer version;

    /**
     *  名称
     * */
    private String name;

    /**
     * 分类
     * */
    private String type;

    /**
     * 状态
     * */
    private String status;


    /**
     * 新增标签列表
     * */
    private String labelId;

    /**
     * 新增标签有效期
     * */
    private Integer labelValidityNum;


    /**
     * 疾病ids
     * */
    private String diseaseIds;

    /**
     * 初始数据时间分类
     * */
    private String initDateType;

    /**
     * 初始数据时间值
     * */
    private Integer initDateValue;

    /**
     * 配置
     * */
    private NodeCondition config;


    /**
     * 条件分类
     * */
    private Set<String> varCodes;

    public void  addVarCode(String code){
        if(this.varCodes==null){
            this.varCodes=new HashSet<>();
        }
        if(StrUtil.isNotEmpty(code)){
            this.varCodes.add(code);
        }
    }

}
