package com.xxh.cloud.rule.core.exception;


import com.xxh.cloud.framework.common.exception.IErrorCodeEnum;

public enum XXCommonErrorEnum implements IErrorCodeEnum {

    Not_Support_OP(1000,"不支持的操作符"),
    Not_Support_DataType(1001,"不支持的数据类型")

    ;
    private int code;
    private String msg;

    private XXCommonErrorEnum() {
    }

    XXCommonErrorEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return code;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
