package com.xxh.cloud.rule.core.executor.condition;

import com.xxh.cloud.rule.core.context.XXRuleContext;
import com.xxh.cloud.rule.core.entity.base.NodeCondition;
import com.xxh.cloud.rule.core.executor.condition.context.ConditionContext;
import com.xxh.cloud.rule.core.executor.condition.process.AbstractConditionNodeProcess;
import com.xxh.cloud.rule.core.executor.condition.process.DefaultConditionNodeVariableProcess;

/**
 * 条件获取参数
 * */
public class ConditionVariable {


    /**
     * 条件参数获取-执行器【普通】
     * */
    private static AbstractConditionNodeProcess getInstallVariable(){
        return new DefaultConditionNodeVariableProcess();
    }

    /**
     * 条件参数获取-执行
     * */
    public static void processVariable(XXRuleContext context, String nodeId, String nodeName, String nodeType, String nodeRuleType, NodeCondition condition){
        AbstractConditionNodeProcess process=ConditionVariable.getInstallVariable();
        ConditionContext conditionContext=new ConditionContext();
        process.process(context,conditionContext,nodeId,nodeName,nodeType,nodeRuleType,condition);
    }




}
