package com.xxh.cloud.rule.core.executor.condition.healthOperate;

import cn.hutool.core.util.StrUtil;
import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.metadata.framework.modules.common.constant.enums.MetadataStandardResultTypeEnum;
import com.xxh.cloud.metadata.framework.modules.common.constant.enums.RuleCondtionDataTypeEnum;
import com.xxh.cloud.rule.basic.context.XXRuleRoamHealthItem;
import com.xxh.cloud.rule.basic.context.XXRuleRoamHealthItemHelper;
import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdLabel;
import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdLaboratoryReport;
import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdLaboratoryReportItem;
import com.xxh.cloud.rule.core.context.XXOperateResult;
import com.xxh.cloud.rule.core.entity.base.PropertyConditionHealthBean;

import java.util.List;
import java.util.Map;

/**
 * 当前标签
 * */
public class OPXXHInLabel extends XXHOperateDefault{

    @Override
    public XXOperateResult op(String date, PropertyConditionHealthBean property, List<XXRuleRoamHealthItem> values,Map<String,XXRuleRoamHealthItem> baseData) {


        if(StrUtil.isEmpty(property.getOp()) || StrUtil.isEmpty(property.getOval())){
            return new XXOperateResult(false);
        }


//        System.out.println("+++++++++++++++ 标签条件 +++++++++++++++++++++++");
//        System.out.println("+++++++++++ 数据开始 ...... ");
//        System.out.println(JSON.toJSONString(values));
//        System.out.println("+++++++++++ 数据结束 ...... ");
//
//        System.out.println("+++++++++++条件配置开始 ...... ");
//        System.out.println(JSON.toJSONString(property));
//        System.out.println("+++++++++++条件配置结束 ...... ");

        for(XXRuleRoamHealthItem item:values){
            if(item.getMdv()!=null){
                //标签
                if(RuleCondtionDataTypeEnum.Label.getCode().equals(property.getMdTypeCode())){
                    RoamItemDwdLabel label=(RoamItemDwdLabel) item.getMdv();
                    if(MetadataStandardResultTypeEnum.MSRT_ResultNarrate_Current.getCode().equals(property.getOp())){
                        if(label!=null && MetadataStandardResultTypeEnum.MSRT_ResultNarrate_Current.getCode().equals(label.getDataType())  && label.getLabelId().equals(property.getOval())){
                            System.out.println("+++++++++++++ 执行结果: TRUE");
                            return new XXOperateResult(true,date,item,property);
                        }
                    }else if(MetadataStandardResultTypeEnum.MSRT_ResultNarrate_History.getCode().equals(property.getOp())){
                        if(label!=null && MetadataStandardResultTypeEnum.MSRT_ResultNarrate_History.getCode().equals(label.getDataType()) && label.getLabelId().equals(property.getOval())){
                            System.out.println("+++++++++++++ 执行结果: TRUE");
                            return new XXOperateResult(true,date,item,property);
                        }
                    }
                }
            }
        }

        System.out.println("+++++++++++++ 执行结果: FALSE");
        return new XXOperateResult(false);
    }




}
