package com.xxh.cloud.rule.core.executor.condition.operate;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.util.StrUtil;

/**
 * 不等于
 * */
public class XXNE extends XXOperateDefault{


    @Override
    public void check(IXXOperateValue params) {

    }

    @Override
    public boolean operate_str(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        String leftVal = Convert.toStr(params.getLeftVal());
        String rightVal = Convert.toStr(params.getRightOneVal());
        return leftVal.equals(rightVal)?false:true;
    }

    @Override
    public boolean operate_int(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        Integer leftVal= Convert.toInt(params.getLeftVal());
        Integer rightVal= Convert.toInt(params.getRightOneVal());
        return leftVal.intValue()==rightVal.intValue()?false:true;
    }

    @Override
    public boolean operate_double(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        Double leftVal = Convert.toDouble(params.getLeftVal());
        Double rightVal = Convert.toDouble(params.getRightOneVal());
        return leftVal.doubleValue()==rightVal.doubleValue()?false:true;
    }

    @Override
    public boolean operate_datetime(IXXOperateValue params) {
        if(params.getLeftVal()==null || StrUtil.isEmpty(params.getLeftVal().toString())){
            return false;
        }
        if(params.getRightOneVal()==null || StrUtil.isEmpty(params.getRightOneVal().toString())){
            return false;
        }
        String leftVal = Convert.toStr(params.getLeftVal());
        String rightVal = Convert.toStr(params.getRightOneVal());
        //todo:
        return false;
    }
}
