package com.xxh.cloud.rule.core.executor.method.utils;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.map.MapUtil;
import com.xxh.cloud.rule.basic.api.bean.dto.MethodExecuteDTO;
import com.xxh.cloud.rule.basic.api.bean.dto.MethodExecuteParamDTO;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import com.xxh.cloud.rule.basic.context.XXRuleRoamHealthItem;
import com.xxh.cloud.rule.core.constant.ValueTypeEnum;
import com.xxh.cloud.rule.core.entity.base.MethodBaseParamBean;

import java.util.Map;

public class MethodExecuteUtils {


    public static MethodExecuteParamDTO getMethodExecuteParam(XXRuleRoam data, MethodBaseParamBean param){

        MethodExecuteParamDTO methodExecuteParamDTO=new MethodExecuteParamDTO(param.getParamCode(),param.getParamName(),param.getParamType());

        if(ValueTypeEnum.VT_Variable.getCode().equals(param.getOvtype())  ){
            if(param.getOvo()!=null){ //单值
                methodExecuteParamDTO.setVal(data.getBasicHealthDataValue(param.getOvo().getVal()));
//                Map<String, XXRuleRoamHealthItem> healthBasicDataMap= data.getBasicHealthData();
//                if(MapUtil.isNotEmpty(healthBasicDataMap)){
//                    XXRuleRoamHealthItem ruleRoamHealthItem=  healthBasicDataMap.get(param.getOvo().getVal());
//                    if(ruleRoamHealthItem!=null){
//                        methodExecuteParamDTO.setVal(ruleRoamHealthItem.getMdv());
//                    }
//                }

            }
        }

//        if(ValueTypeEnum.VT_Constant.getCode().equals(param.getOvtype())){
//            if(param.getOvo()!=null){ //单值
//                Map<String, XXRuleRoamHealthItem> healthBasicDataMap= data.getBasicHealthData();
//                if(MapUtil.isNotEmpty(healthBasicDataMap)){
//                    XXRuleRoamHealthItem ruleRoamHealthItem=  healthBasicDataMap.get(param.getOvo().getVal());
//                    if(ruleRoamHealthItem!=null){
//                        methodExecuteParamDTO.setVal(ruleRoamHealthItem.getMdv());
//                    }
//                }
//            }
//        }

        if(ValueTypeEnum.VT_Fixed.getCode().equals(param.getOvtype())){
            if(CollUtil.isNotEmpty(param.getOvs())){
                param.getOvs().forEach(item->{
                    methodExecuteParamDTO.addVal(item.getVal());
                });
            }else if(param.getOvo()!=null){
                methodExecuteParamDTO.setVal(param.getOvo().getVal());
            }
        }

        return methodExecuteParamDTO;
    }



}
