package com.xxh.cloud.rule.execute.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 流程引擎执行日志
 * </p>
 *
 * @author anros
 * @since 2023-09-17
 */
@Data
@TableName("r_rule_flow_execute_log")
public class RuleFlowExecuteLog{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;


     private String type;

    /**
     * 规则ID
     */
     @ApiModelProperty(value = "规则ID")
      private String ruleId;

    /**
     * 任务ID
     */
     @ApiModelProperty(value = "任务ID")
      private String taskId;

    /**
     * 节点ID
     */
     @ApiModelProperty(value = "节点ID")
      private String nodeId;

    /**
     * 节点编码
     */
     @ApiModelProperty(value = "节点编码")
      private String nodeCode;

    /**
     * 节点名称
     */
     @ApiModelProperty(value = "节点名称")
      private String nodeName;

    /**
     * 节点类型
     */
     @ApiModelProperty(value = "节点类型")
      private String nodeType;

    /**
     * 节点规则类型
     */
     @ApiModelProperty(value = "节点规则类型")
      private String nodeRuleType;

    /**
     * 节点执行状态
     */
     @ApiModelProperty(value = "节点执行状态")
      private String nodeExecuteStatus;

    /**
     * 执行结果路径
     */
     @ApiModelProperty(value = "执行结果路径")
      private String executeResult;

    /**
     * 执行开始时间
     */
     @ApiModelProperty(value = "执行开始时间")
      private Date startTime;

    /**
     * 执行开始时间
     */
     @ApiModelProperty(value = "执行开始时间")
      private Date startDate;

    /**
     * 执行用时
     */
     @ApiModelProperty(value = "执行用时")
      private Integer timeNum;

    /**
     * 操作时间
     */
     @ApiModelProperty(value = "操作时间")
      private Date opDate;


}
