package com.xxh.cloud.rule.execute.framework.modules.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 规则推理日志明细信息表
 * </p>
 */
@Data
//@EqualsAndHashCode(callSuper = true)
@TableName("r_rule_inference_execute_main_item_log")
public class RuleInferenceExecuteMainItemLog{

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
     @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
      private String id;

    /**
     * 执行日志ID
     */
     @ApiModelProperty(value = "执行日志ID")
      private String exeLogId;

    /**
     * 规则ID
     */
     @ApiModelProperty(value = "规则ID")
      private String ruleId;

    /**
     * 节点ID
     */
     @ApiModelProperty(value = "节点ID")
      private String nodeId;

    /**
     * 节点类型
     */
     @ApiModelProperty(value = "节点类型")
      private String nodeType;

    @ApiModelProperty(value = "节点规则类型")
     private String nodeRuleType;

    @ApiModelProperty(value = "节点执行状态")
    private String nodeExecuteStatus;

    /**
     * 执行结果路径
     */
     @ApiModelProperty(value = "执行结果路径")
      private String executeResult;

    /**
     * 执行开始时间
     */
     @ApiModelProperty(value = "执行开始时间")
      private Date startTime;

    /**
     * 执行开始时间
     */
     @ApiModelProperty(value = "执行开始时间")
      private Date startDate;

    /**
     * 执行用时
     */
     @ApiModelProperty(value = "执行用时")
      private Integer timeNum;


}
