package com.xxh.cloud.rule.execute.framework.modules.meta.service;

import com.xxh.cloud.rule.core.entity.flow.XXFlowRuleBO;

import java.util.List;
import java.util.Map;

public interface FlowRuleConfigGetService {

    /**
     *
     * */
    public XXFlowRuleBO getById(String ruleConfigId);



    /**
     *
     * */
    public Map<String, XXFlowRuleBO> getMapByIds(List<String> ruleConfigIds);



    /**
     *
     * */
    public List<XXFlowRuleBO> getListByIds(List<String> ruleConfigIds);


    /**
     *
     * */
    public List<XXFlowRuleBO> getByBizType(String bizType);


    /**
     *  推理引擎
     * */
    public List<XXFlowRuleBO> getByBizType2Inference();

    /**
     * 工作流引擎
     * */
    public List<XXFlowRuleBO> getByBizType2WorkFlow();

    /**
     * 事件流程引擎
     * */
    public List<XXFlowRuleBO> getByBizType2EventWorkFlow();


    public List<XXFlowRuleBO> getByBizType2EventWorkFlow(String eventType);



//    /**
//     *
//     * */
//    public List<XXFlowRuleBO> getListByCategory(String ruleCategoryId);
//
//
//    /**
//     *
//     * */
//    public List<XXFlowRuleBO> getByBizType(String bizType,String relType);
//
//
//    /**
//     *
//     * */
//    public List<XXFlowRuleBO> getByBizType(String bizType,String relType,String relId);




}
