package com.xxh.cloud.rule.execute.framework.modules.rule.service;

import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import com.xxh.cloud.rule.basic.api.MethodExecuteByCallApi;
import com.xxh.cloud.rule.basic.api.MethodExecuteByMQApi;
import com.xxh.cloud.rule.execute.framework.modules.rule.bean.vos.ExecuteByReturnVO;

import java.util.List;

/**
 * 推理引擎执行
 * */
public interface RuleInferenceExecutorService {



    public List<ExecuteByReturnVO> executeByReturn(String ruleConfigId, XXRuleRoam data, boolean isLogMQ,String callWay,String callUserId);

    public void executeByCall(String ruleConfigId, XXRuleRoam data, boolean isLogMQ,MethodExecuteByCallApi api,String callWay,String callUserId);

    public void executeByMQ(String ruleConfigId, XXRuleRoam data, boolean isLogMQ, MethodExecuteByMQApi mqApi,String callWay,String callUserId);

    public void executeByMQ(String ruleConfigId, XXRuleRoam data, boolean isLogMQ,String callWay,String callUserId);



}
