package com.xxh.cloud.rule.execute.framework.modules.workflow.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xxh.cloud.rule.execute.framework.modules.meta.bean.FlowRuleConfigGetBO;
import com.xxh.cloud.rule.execute.inference.client.bean.bos.FlowEventTriggerNodeTaskResultBO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface FlowEventTaskQueryMapper {

    @Select("  SELECT a.patient_user_id as patientId ,b.id as id , b.task_id as taskId ,b.rule_flow_id as ruleFlowId ," +
            "  b.trigger_date_list_no as triggerDateListNo,b.trigger_date_start as triggerDateStart," +
            "  b.trigger_date_end as triggerDateEnd  FROM r_flow_task_info a INNER JOIN r_flow_task_node_info b" +
            "  on (a.id=b.task_id)  ${ew.customSqlSegment}")
    public List<FlowEventTriggerNodeTaskResultBO> getFlowEventTriggerNodeTaskResultList(@Param(Constants.WRAPPER) QueryWrapper<FlowEventTriggerNodeTaskResultBO> queryWrapper);





}
