package com.xxh.cloud.rule.execute.framework.modules.workflow.service;

import com.xxh.cloud.rule.basic.api.MethodExecuteByCallApi;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.vos.Execute2WorkFlowByReturnVO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.vos.FlowNodeProcessWorkFlowReturnVO;

import java.util.List;

/**
 * 事件规则处理
 * */
public interface FlowNodeProcessWorkFlowService {



    /**
     * @param nodeTaskId:
     * @param  handleStatus : WorkFlowNodeHandleStatusEnum
     * */
    public FlowNodeProcessWorkFlowReturnVO executeByReturn(String nodeTaskId, String handleStatus, String handleUserId, XXRuleRoam data, boolean isLogMQ, String callWay, String callUserId);

    public void executeByMQ(String nodeTaskId,String handleStatus,String handleUserId, XXRuleRoam data, boolean isLogMQ, String callWay, String callUserId);

    public void executeByCall(String nodeTaskId, String handleStatus, String handleUserId, XXRuleRoam data, boolean isLogMQ, MethodExecuteByCallApi api, String callWay, String callUserId);





}
