package com.xxh.cloud.rule.execute.framework.modules.workflow.service;

import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.dto.WorkFlowQueryDTO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.dto.WorkFlowTaskNodeQueryDTO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.vos.WorkFlowConfigVO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.vos.WorkFlowTaskNodeVO;

/**
 * 查询
 * */
public interface FlowTaskQueryService {

    /**
     * 查询可执行的流程
     * */
    public PageData<WorkFlowConfigVO> queryWorkFlow(WorkFlowQueryDTO params);

    /**
     * 查询任务
     * */
    public PageData<WorkFlowTaskNodeVO> queryTask(WorkFlowTaskNodeQueryDTO params);

    /**
     * 任务明细
     * */
    public WorkFlowTaskNodeVO getTaskInfoById(String id);


    /**
     * 根据日期查询待执行的定时任务节点
     * */
    public void queryTriggerNode();


    /**
     * 根据患者获取待执行的规则流程
     * */






}
