package com.xxh.cloud.rule.execute.framework.modules.workflow.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xxh.cloud.framework.common.page.PageData;
import com.xxh.cloud.framework.common.validator.ValidatorUtils;
import com.xxh.cloud.rule.basic.constant.WorkFlowNodeStatusEnum;
import com.xxh.cloud.rule.basic.constant.WorkFlowNodeTriggerStatus;
import com.xxh.cloud.rule.execute.framework.modules.base.entity.FlowTaskNodeInfo;
import com.xxh.cloud.rule.execute.framework.modules.base.service.FlowTaskInfoService;
import com.xxh.cloud.rule.execute.framework.modules.base.service.FlowTaskNodeInfoService;
import com.xxh.cloud.rule.execute.framework.modules.base.service.FlowTaskOperatorInfoService;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.dto.WorkFlowQueryDTO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.dto.WorkFlowTaskNodeQueryDTO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.vos.WorkFlowConfigVO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.bean.vos.WorkFlowTaskNodeVO;
import com.xxh.cloud.rule.execute.framework.modules.workflow.service.FlowTaskQueryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class FlowTaskQueryServiceImpl implements FlowTaskQueryService {

    @Autowired
    private FlowTaskInfoService flowTaskInfoService;
    @Autowired
    private FlowTaskNodeInfoService flowTaskNodeInfoService;

    @Autowired
    private FlowTaskOperatorInfoService flowTaskOperatorInfoService;

    @Override
    public PageData<WorkFlowConfigVO> queryWorkFlow(WorkFlowQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        return null;
    }

    @Override
    public PageData<WorkFlowTaskNodeVO> queryTask(WorkFlowTaskNodeQueryDTO params) {
        ValidatorUtils.validateEntity(params);
        return null;
    }

    @Override
    public WorkFlowTaskNodeVO getTaskInfoById(String id) {
        return null;
    }

    @Override
    public void queryTriggerNode() {

        List<FlowTaskNodeInfo> nodeList= flowTaskNodeInfoService.list(
                new QueryWrapper<FlowTaskNodeInfo>()
                        .in("status", WorkFlowNodeStatusEnum.None.getCode(),WorkFlowNodeStatusEnum.Ing.getCode())
                        .in("trigger_status", WorkFlowNodeTriggerStatus.TS_NOT.getCode(),WorkFlowNodeTriggerStatus.TS_ING.getCode())
        );





    }


//    @Override
//    public void start(WorkFlowStartDTO params) {
//        ValidatorUtils.validateEntity(params);
//
//        FlowTaskInfo taskInfo=new FlowTaskInfo();
//        taskInfo.setId(IdUtil.getSnowflake(2,1).nextIdStr());
//        taskInfo.setFlowUrgent(params.getFlowUrgent());
//        taskInfo.setGrade(params.getGrade());
//        taskInfo.setProjectCode(params.getProjectCode());
////        taskInfo.setRuleFlowId();
////        taskInfo.setRuleFlowName();
////        taskInfo.setRuleFlowCategoryId();
////        taskInfo.setRuleFlowVersion();
//        taskInfo.setStartTime(new Date());
////        taskInfo.setEndTime();
////        taskInfo.setStatus();
////        taskInfo.setCompletion();
//        taskInfo.setDescription(params.getDescription());
////        taskInfo.setFlowForm();
////        taskInfo.setFlowFormContentJson();
////        taskInfo.setThisStepNo();
////        taskInfo.setThisStepName();
////        taskInfo.setThisStepId();
//
////        taskInfo.setAddUserId();
////        taskInfo.setAddDeptId();
////        taskInfo.setAddUserPostId();
//
//        taskInfo.setRowsStatus(YN.YES.getCode());
//
////        taskInfo.set
////        taskInfo.set
////        taskInfo.set
//
//    }







}
