package com.xxh.cloud.rule.flow.condition;

import cn.hutool.core.util.IdUtil;
import com.xxh.cloud.rule.basic.constant.XXRuleRoamConstant;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import com.xxh.cloud.rule.basic.context.bean.RoamItemDwdLaboratoryReportItem;
import com.xxh.cloud.rule.core.constant.RuleNodeTypeEnum;
import com.xxh.cloud.rule.core.constant.XXFlowNodeTypeEnum;
import com.xxh.cloud.rule.core.context.XXRuleContext;
import com.xxh.cloud.rule.core.entity.label.XXLabelRuleBO;
import com.xxh.cloud.rule.core.executor.condition.ConditionExecutor;

import java.util.Date;

public class ConditionExecutorUtils {



    public static boolean executor(XXRuleContext context,XXLabelRuleBO rule){
        long start= System.currentTimeMillis();
        context.setRequestStartTime(new Date());
        context.setTraceId(IdUtil.simpleUUID());
        boolean flag =  ConditionExecutor.processExecute(context, rule.getId(), rule.getName(),
                RuleNodeTypeEnum.RNT_Condition.getCode(),
                XXFlowNodeTypeEnum.XXFNT_Condition.getCode(),
                rule.getConfig());
        context.setRequestEndTime(new Date());
        long end= System.currentTimeMillis();
        context.setRequestTime(end-start);

        return flag;
    }





    



}
