package com.xxh.cloud.rule.flow.executor;

import com.xxh.cloud.rule.basic.api.MethodExecuteByCallApi;
import com.xxh.cloud.rule.basic.api.MethodExecuteByMQApi;
import com.xxh.cloud.rule.core.constant.FlowResultEnum;
import com.xxh.cloud.rule.core.context.XXRuleContext;
import com.xxh.cloud.rule.basic.context.XXRuleRoam;
import com.xxh.cloud.rule.core.entity.flow.XXFlowRuleBO;

import java.util.Date;

/**
 * 规则流执行
 * */
public class XXRuleFlowExecutor {

    /**
     * 执行规则:
     * */
    public void execute(String ruleId){
        //todo:获取规则配置
    }





    /**
     * 执行引擎:MQ调用执行动作
     * */
    public static XXRuleContext execute(XXFlowRuleBO rule, XXRuleRoam userDataRoam, boolean isDebug, MethodExecuteByMQApi mqApi){
        return null;
    }


    /**
     * 执行引擎:方法调用执行动作
     * */
    public static XXRuleContext execute(XXFlowRuleBO rule, XXRuleRoam userDataRoam,  boolean isDebug, MethodExecuteByCallApi methodApi){
        return null;
    }


    /**
     * 执行引擎:执行动作返回
     * */
    public static XXRuleContext execute(XXFlowRuleBO ruleConfig, XXRuleRoam userDataRoam, boolean isDebug){
        XXRuleContext context=XXRuleContext.getRuleContext2ExecutorByReturn(ruleConfig,userDataRoam,isDebug);
        long start= System.currentTimeMillis();

        XXRuleFlowHandler ruleFlowHandler=new XXRuleFlowHandler();
        FlowResultEnum result =  ruleFlowHandler.handle(context,ruleConfig.getConfig());
        long end= System.currentTimeMillis();

        context.setRequestEndTime(new Date());
        context.setRequestTime(end-start);
        return  context;
    }



}
