package com.xxh.cloud.rule.flow.executor.demo1;

import com.alibaba.fastjson2.JSON;
import com.xxh.cloud.rule.core.context.XXRuleVariableRoom;
import com.xxh.cloud.rule.core.entity.flow.XXFlowNodeBO;
import com.xxh.cloud.rule.core.entity.flow.XXFlowRuleBO;
import com.xxh.cloud.rule.flow.variable.XXRuleFlowVariableExecutor;

public class XXRuleFlowVariableExecutorTest {


    private void test1(XXFlowNodeBO nodeBO){

        XXRuleFlowVariableExecutor executor=new XXRuleFlowVariableExecutor();

        XXFlowRuleBO ruleBO=new XXFlowRuleBO();
        ruleBO.setId("1675073441642864640");
        ruleBO.setName("规则1");
        ruleBO.setVersion(1);
        ruleBO.setConfig(nodeBO);


        XXRuleVariableRoom room = executor.execute(ruleBO,true);

        System.out.println("++++++++++++++++++++++++++++++++++++");
        System.out.println(JSON.toJSONString(room));

    }


    public static void main(String[] args) {
        XXRuleFlowVariableExecutorTest test=new XXRuleFlowVariableExecutorTest();
        String str="{\"childNode\":{\"content\":\"请设置动作节点\",\"nodeId\":\"5ePXZc1\",\"prevId\":\"2fPXZc1\",\"properties\":{\"action\":{\"actionId\":\"com.xxh.cloud.act.userTag.UserTagProcess\",\"actionName\":\"\",\"advanceRatio\":0,\"auto\":\"N\",\"checkRatio\":0,\"exeRatio\":0,\"exeType\":\"all\",\"executorIds\":[],\"methodCode\":\"add\",\"methodName\":\"新增\",\"params\":[{\"ovo\":{\"memo\":\"当前时间\",\"val\":\"currentDateTime\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovtype\":\"constant\",\"paramCode\":\"userId\",\"paramName\":\"用户ID\"},{\"ovo\":{\"memo\":\"姓名\",\"val\":\"name\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovtype\":\"variable\",\"paramCode\":\"tagIds\",\"paramName\":\"标签id\"}]},\"ruleType\":\"action\",\"title\":\"动作节点\"},\"type\":\"approver\"},\"content\":\"触发条件\",\"nodeId\":\"2fPXZc1\",\"properties\":{\"action\":{\"advanceRatio\":0,\"checkRatio\":0,\"exeRatio\":0,\"exeType\":\"all\"},\"condition\":{\"property\":{\"op\":\"eq\",\"ovo\":{\"memo\":\"\",\"val\":\"1\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovt\":{\"memo\":\"\",\"val\":\"\"},\"ovtype\":\"fixed\",\"varCode\":\"age\",\"varName\":\" 年龄\",\"varType\":\"i\"},\"relation\":\"\",\"type\":\"property\"},\"ruleType\":\"condition\",\"title\":\"开始节点\"},\"type\":\"start\"}";

//       String str="{\"childNode\":{\"content\":\"请设置动作节点\",\"nodeId\":\"wQbpNc1\",\"prevId\":\"FGbpNc1\",\"properties\":{\"action\":{\"actionId\":\"com.xxh.cloud.act.userTag.UserTagProcess\",\"actionName\":\"\",\"advanceRatio\":0,\"checkRatio\":0,\"exeRatio\":0,\"exeType\":\"all\",\"methodCode\":\"add\",\"methodName\":\"新增\",\"params\":[{\"ovo\":{\"memo\":\"1\",\"val\":\"1\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovtype\":\"fixed\",\"paramCode\":\"userId\",\"paramName\":\"用户ID\"},{\"ovo\":{\"memo\":\"1\",\"val\":\"1\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovtype\":\"fixed\",\"paramCode\":\"tagIds\",\"paramName\":\"标签id\"}]},\"ruleType\":\"action\",\"title\":\"动作节点222\"},\"type\":\"approver\"},\"conditionNodes\":[{\"content\":\"请设置条件\",\"nodeId\":\"CUnpNc1\",\"prevId\":\"FGbpNc1\",\"properties\":{\"condition\":{\"property\":{\"op\":\"eq\",\"ovo\":{\"memo\":\"\",\"val\":\"1\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovt\":{\"memo\":\"\",\"val\":\"\"},\"ovtype\":\"fixed\",\"varCode\":\"age\",\"varName\":\" 年龄\",\"varType\":\"i\"},\"relation\":\"\",\"type\":\"property\"},\"ruleType\":\"condition\",\"title\":\"条件111\"},\"type\":\"condition\"},{\"content\":\"请设置条件\",\"nodeId\":\"zcnpNc1\",\"prevId\":\"FGbpNc1\",\"properties\":{\"condition\":{\"property\":{\"op\":\"eq\",\"ovo\":{\"memo\":\"\",\"val\":\"1\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovt\":{\"memo\":\"\",\"val\":\"\"},\"ovtype\":\"fixed\",\"varCode\":\"age\",\"varName\":\" 年龄\",\"varType\":\"i\"},\"relation\":\"\",\"type\":\"property\"},\"ruleType\":\"condition\",\"title\":\"条件222\"},\"type\":\"condition\"}],\"conditionType\":\"condition\",\"content\":\"触发条件\",\"nodeId\":\"FGbpNc1\",\"properties\":{\"action\":{\"advanceRatio\":0,\"checkRatio\":0,\"exeRatio\":0,\"exeType\":\"all\"},\"condition\":{\"property\":{\"op\":\"eq\",\"ovo\":{\"memo\":\"\",\"val\":\"1\"},\"ovs\":[{\"memo\":\"\",\"val\":\"\"}],\"ovt\":{\"memo\":\"\",\"val\":\"\"},\"ovtype\":\"fixed\",\"varCode\":\"age\",\"varName\":\" 年龄\",\"varType\":\"i\"},\"relation\":\"\",\"type\":\"property\"},\"ruleType\":\"condition\",\"title\":\"开始节点1111\"},\"type\":\"start\"}";
        XXFlowNodeBO nodeBO= JSON.parseObject(str, XXFlowNodeBO.class);
        test.test1(nodeBO);


    }


}
