package com.xxh.cloud.rule.flow.executor.wr;

import cn.hutool.core.util.StrUtil;
import com.xxh.cloud.framework.common.redis.RedisUtils;
import com.xxh.cloud.framework.common.utils.SpringContextUtils;

/**
 * 调用次数
 * */
public class XXWeightedRoundCallNumUtils {


    /**
     * 获取调用次数缓存KEY
     * */
    public static String getRoundConfigKey(String ruleId, String mainNodeId){
        return StrUtil.format("XXRFN:{}:{}",ruleId,mainNodeId);
    }

    /**
     * 获取调用次数
     * */
    public static long getCallNum(String ruleId, String mainNodeId){
        RedisUtils redisUtils= SpringContextUtils.getBean("redisUtils", RedisUtils.class);
        String key=getRoundConfigKey(ruleId,mainNodeId);
        return redisUtils.increment(key);
    }






}
