package com.xxh.cloud.uniondata.framework.modules.query.bean.vos;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.*;

@Getter
@Setter
public class UnionDataItemVO {


    @ApiModelProperty(value = "编码")
    private String id;

    @ApiModelProperty(value = "名称")
    private String name;


    @ApiModelProperty(value = "数据类型")
    private String dataType;


    //==========================================
    @ApiModelProperty(value = "所属活动")
    private List<UnionDataItemActivityVO> activityList;


    //==========================================


    @ApiModelProperty(value = "结果类型")
    private String resultType;

    @ApiModelProperty(value = "结果类型列表")
    private List<UnionDataItemResultVO> resultTypeList;


    //==========================================

    @ApiModelProperty(value = "(原始)参考区间-del")
    private String reference;

    @ApiModelProperty(value = "(原始)单位ID")
    private String unitId;

    @ApiModelProperty(value = "(原始)单位ID")
    private String unitName;

    @ApiModelProperty(value = "(原始)数据类型")
    private String rawDataType;

    public void addResultType(UnionDataItemResultVO item){
        if(this.resultTypeList==null){
            this.resultTypeList=new ArrayList<>();
        }
        if(item!=null){
            this.resultTypeList.add(item);
        }
    }

    public void addActivity(UnionDataItemActivityVO item){
        if(this.activityList==null){
            this.activityList=new ArrayList<>();
        }
        if(item!=null){
            this.activityList.add(item);
        }
    }


}
