package com.xxh.cloud.uniondata.framework.modules.query.convert;

import cn.hutool.core.collection.CollUtil;
import com.xxh.cloud.metadata.client.api.bean.bos.meta.MetadataBO;
import com.xxh.cloud.metadata.framework.modules.common.constant.enums.*;
import com.xxh.cloud.metadata.framework.modules.standardBiz.bean.vos.*;
import com.xxh.cloud.uniondata.framework.modules.query.bean.vos.UnionDataItemResultVO;
import com.xxh.cloud.uniondata.framework.modules.query.bean.vos.UnionDataItemVO;

import java.util.ArrayList;
import java.util.List;

@Deprecated
public class StandardDataConvert {



    //========== 元数据
    /**
     * 元数据
     * */
    public static List<UnionDataItemVO> getStandardDataList_Metadata(List<MetadataBO> list){
        List<UnionDataItemVO> data=new ArrayList<>();
        if(CollUtil.isNotEmpty(list)){
            list.forEach(item->{
                data.add(getStandardDataItemVO_Metadata(item));
            });
        }
        return data;
    }

    /**
     * 元数据
     * */
    public static UnionDataItemVO getStandardDataItemVO_Metadata(MetadataBO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        data.setDataType(entity.getDataType());
        data.setRawDataType(entity.getDataType());
//
//        if(MetadataStandardTypeEnum.MT_Standard.getCode().equals(entity.getDataType())){
//            //todo:不支持
//        }else if(MetadataStandardTypeEnum.MT_Dict.getCode().equals(entity.getDataType())){
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_EQ, entity.getDataType(),entity.getDataContentType()));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_NE, entity.getDataType(),entity.getDataContentType()));
//
//        }else if(MetadataStandardTypeEnum.MT_Int.getCode().equals(entity.getDataType()) ||
//                MetadataStandardTypeEnum.MT_Decimal.getCode().equals(entity.getDataType())){
//
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_EQ));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_NE));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_GT));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_GE));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_LT));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_LE));
//
//        }else if(MetadataStandardTypeEnum.MT_String.getCode().equals(entity.getDataType()) ||
//                MetadataStandardTypeEnum.MT_Text.getCode().equals(entity.getDataType())){
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_ResultNarrate, RuleCondtionDataTypeEnum.Keywords));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_EQ));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_NE));
//
//        }else if(MetadataStandardTypeEnum.MT_DateTime.getCode().equals(entity.getDataType())){
//
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_EQ));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_NE));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_GT));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_GE));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_LT));
//            data.addResultType(new StandardDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_LE));
//        }


        return data;
    }





    /**
     * 疾病(诊断)
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_Disease(StandardDiseaseVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }



    /**
     * 疾病(诊断)系统
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_DiseaseSystem(StandardDiseaseSystemVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }



    /**
     * 检验分类
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_LaboratoryType(StandardLaboratoryTypeVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }



    /**
     * 检验组套 -del
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_LaboratoryGroup(StandardLaboratoryGroupVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }



    /**
     * 检验项目 -del
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_LaboratoryProject(StandardLaboratoryProjectVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());

        data.setDataType(entity.getResultDataType());
        data.setRawDataType(entity.getResultDataType());

//        data.setSampleId(entity.getSampleId());
//        data.setSampleName(entity.getSample()==null?null:entity.getSample().getName());

        data.setResultType(entity.getResultType());

        if(MetadataStandardResultTypeEnum.MSRT_ResultValue.getCode().equals(data.getResultType())){
            data.addResultType(new UnionDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_ResultValue,MetadataStandardResultTypeEnum.MSRT_ResultValue.getCode(),StandardDataItemResultScopeEnum.SDRC_ALL));
            data.addResultType(new UnionDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_Range,StandardDataItemResultScopeEnum.SDRC_ALL));
            data.addResultType(new UnionDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_Rise,StandardDataItemResultScopeEnum.SDRC_ALL));
            data.addResultType(new UnionDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_Decline,StandardDataItemResultScopeEnum.SDRC_ALL));
        }

        if(MetadataStandardResultTypeEnum.MSRT_ResultTwoCategory.getCode().equals(data.getResultType())){
            data.addResultType(new UnionDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_ResultTwoCategory,MetadataStandardResultTypeEnum.MSRT_ResultTwoCategory.getCode(),StandardDataItemResultScopeEnum.SDRC_ALL));
        }

        if(MetadataStandardResultTypeEnum.MSRT_ResultNarrate.getCode().equals(data.getResultType())){
            data.addResultType(new UnionDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_ResultNarrate, RuleCondtionDataTypeEnum.Keywords,StandardDataItemResultScopeEnum.SDRC_ALL));
        }


        return data;
    }




    /**
     * 样本类型
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_Sample(StandardSampleVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }



    /**
     * 单位
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_Unit(StandardUnitVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }


    /**
     * 检查项目 -del
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_ExamineProject(StandardExamineProjectVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        data.setDataType(MetadataStandardTypeEnum.MT_String.getCode());
        data.setRawDataType(MetadataStandardTypeEnum.MT_String.getCode());
        data.addResultType(new UnionDataItemResultVO(MetadataStandardResultTypeEnum.MSRT_ResultNarrate, RuleCondtionDataTypeEnum.Keywords,StandardDataItemResultScopeEnum.SDRC_ALL));
        return data;
    }


    /**
     * 症状
     * */
    public static UnionDataItemVO getStandardDataItemVO_Symptom(StandardSymptomVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }

    /**
     * 手术-del
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_Operation(StandardOperationVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }

    /**
     * 药物
     * */
    public static UnionDataItemVO getStandardDataItemVO_Medicant(StandardMedicantVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }



    /**
     * 事件
     * */
    public static UnionDataItemVO getStandardDataItemVO_Event(StandardEventVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
        return data;
    }


    /**
     * 关键字 -del
     * */
    @Deprecated
    public static UnionDataItemVO getStandardDataItemVO_Keywords(StandardKeywordsVO entity){
        UnionDataItemVO data=new UnionDataItemVO();
        data.setId(entity.getId());
        data.setName(entity.getName());
//        data.setRegExp(entity.getRegExp());
        return data;
    }






}
