package com.xxh.cloud.uniondata.framework.modules.thirdQuery.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xxh.cloud.framework.common.constant.YN;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.bean.bos.ThirdDeptItemBO;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.bean.bos.ThirdDictItemBO;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.bean.dto.ThirdDeptQueryDTO;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.mapper.ThirdBasicQueryMapper;
import com.xxh.cloud.uniondata.framework.modules.thirdQuery.service.ThirdBasicQueryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ThirdBasicQueryServiceImpl implements ThirdBasicQueryService {

    @Autowired
    private ThirdBasicQueryMapper thirdBasicQueryMapper;


    @Override
    public List<ThirdDictItemBO> getThirdDictItemList(String dictType) {
        List<ThirdDictItemBO> list= thirdBasicQueryMapper.listThirdDictData(
                new QueryWrapper<ThirdDictItemBO>()
                        .eq("status", YN.YES.getCode())
                        .eq("dict_type_id",dictType)
                        .orderByDesc("sort")
        );
        return list;
    }

    @Override
    public IPage<ThirdDeptItemBO> queryThirdDept(ThirdDeptQueryDTO params) {
        //todo:
        return null;
    }


}
